$(function(){
$("#sales").dxPivotGrid({
allowSorting: true,
allowFiltering: true,
height: 440,
showBorders: true,
fieldPanel: {
showColumnFields: true,
showDataFields: true,
showFilterFields: false,
showRowFields: true,
allowFieldDragging: false,
visible: true
},
fieldChooser: {
enabled: false
},
export: {
enabled: true
},
dataSource: {
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
expanded: true
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row'
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
filterValues: [[2013], [2014], [2015]],
expanded: false,
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data'
}],
store: sales
},
onExporting: function(e) {
var workbook = new ExcelJS.Workbook();
var worksheet = workbook.addWorksheet('Sales');
worksheet.columns = [
{ width: 30 }, { width: 20 }, { width: 30 }, { width: 30 }, { width: 30 }, { width: 30 }
];
DevExpress.excelExporter.exportPivotGrid({
component: e.component,
worksheet: worksheet,
topLeftCell: { row: 4, column: 1 },
keepColumnWidths: false
}).then(function(cellRange) {
// Header
var headerRow = worksheet.getRow(2);
headerRow.height = 30;
var columnFromIndex = worksheet.views[0].xSplit + 1;
var columnToIndex = columnFromIndex + 3;
worksheet.mergeCells(2, columnFromIndex, 2, columnToIndex);
var headerCell = headerRow.getCell(columnFromIndex);
headerCell.value = 'Sales Amount by Region';
headerCell.font = { name: 'Segoe UI Light', size: 22, bold: true };
headerCell.alignment = { horizontal: 'left', vertical: 'middle', wrapText: true };
// Footer
var footerRowIndex = cellRange.to.row + 2;
var footerCell = worksheet.getRow(footerRowIndex).getCell(cellRange.to.column);
footerCell.value = 'www.wikipedia.org';
footerCell.font = { color: { argb: 'BFBFBF' }, italic: true };
footerCell.alignment = { horizontal: 'right' };
}).then(function() {
workbook.xlsx.writeBuffer().then(function(buffer) {
saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'Sales.xlsx');
});
});
e.cancel = true;
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/babel-polyfill/7.4.0/polyfill.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/exceljs/3.3.1/exceljs.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/FileSaver.js/1.3.8/FileSaver.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="long-title"><h3>Sales Amount by Region</h3></div>
<div id="sales"></div>
</div>
</body>
</html>
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
var sales = [{
"id": 1,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 1740,
"date": "2013/01/06"
}, {
"id": 2,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 850,
"date": "2013/01/13"
}, {
"id": 3,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2235,
"date": "2013/01/07"
}, {
"id": 4,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1965,
"date": "2013/01/03"
}, {
"id": 5,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 880,
"date": "2013/01/10"
}, {
"id": 6,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 5260,
"date": "2013/01/17"
}, {
"id": 7,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 2790,
"date": "2013/01/21"
}, {
"id": 8,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 3140,
"date": "2013/01/01"
}, {
"id": 9,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 6175,
"date": "2013/01/24"
}, {
"id": 10,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 4575,
"date": "2013/01/11"
}, {
"id": 11,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 3680,
"date": "2013/01/12"
}, {
"id": 12,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2260,
"date": "2013/01/01"
}, {
"id": 13,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 2910,
"date": "2013/01/26"
}, {
"id": 14,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 8400,
"date": "2013/01/05"
}, {
"id": 15,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 1325,
"date": "2013/01/14"
}, {
"id": 16,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 3920,
"date": "2013/01/05"
}, {
"id": 17,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2220,
"date": "2013/01/15"
}, {
"id": 18,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 940,
"date": "2013/01/01"
}, {
"id": 19,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1630,
"date": "2013/01/10"
}, {
"id": 20,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2910,
"date": "2013/01/23"
}, {
"id": 21,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 2600,
"date": "2013/01/14"
}, {
"id": 22,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 4340,
"date": "2013/01/26"
}, {
"id": 23,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 6650,
"date": "2013/01/24"
}, {
"id": 24,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 490,
"date": "2013/01/22"
}, {
"id": 25,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 3390,
"date": "2013/01/25"
}, {
"id": 26,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 5160,
"date": "2013/02/20"
}, {
"id": 27,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 5750,
"date": "2013/02/12"
}, {
"id": 28,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2805,
"date": "2013/02/13"
}, {
"id": 29,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2505,
"date": "2013/02/09"
}, {
"id": 30,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 930,
"date": "2013/02/04"
}, {
"id": 31,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 1240,
"date": "2013/02/03"
}, {
"id": 32,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 315,
"date": "2013/02/04"
}, {
"id": 33,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2870,
"date": "2013/02/18"
}, {
"id": 34,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 5150,
"date": "2013/02/18"
}, {
"id": 35,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 2725,
"date": "2013/02/20"
}, {
"id": 36,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2840,
"date": "2013/02/04"
}, {
"id": 37,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5840,
"date": "2013/02/13"
}, {
"id": 38,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 6750,
"date": "2013/02/11"
}, {
"id": 39,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1200,
"date": "2013/02/03"
}, {
"id": 40,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4550,
"date": "2013/02/08"
}, {
"id": 41,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 6040,
"date": "2013/02/17"
}, {
"id": 42,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2205,
"date": "2013/02/08"
}, {
"id": 43,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 990,
"date": "2013/02/20"
}, {
"id": 44,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 700,
"date": "2013/02/11"
}, {
"id": 45,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2325,
"date": "2013/02/15"
}, {
"id": 46,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 930,
"date": "2013/02/21"
}, {
"id": 47,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1560,
"date": "2013/02/04"
}, {
"id": 48,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 1740,
"date": "2013/03/04"
}, {
"id": 49,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 3575,
"date": "2013/03/20"
}, {
"id": 50,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 4500,
"date": "2013/03/04"
}, {
"id": 51,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1605,
"date": "2013/03/17"
}, {
"id": 52,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 800,
"date": "2013/03/21"
}, {
"id": 53,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 640,
"date": "2013/03/08"
}, {
"id": 54,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 735,
"date": "2013/03/19"
}, {
"id": 55,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2520,
"date": "2013/03/20"
}, {
"id": 56,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 6675,
"date": "2013/03/18"
}, {
"id": 57,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 3625,
"date": "2013/03/25"
}, {
"id": 58,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 1200,
"date": "2013/03/07"
}, {
"id": 59,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2000,
"date": "2013/03/07"
}, {
"id": 60,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 1410,
"date": "2013/03/10"
}, {
"id": 61,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 2700,
"date": "2013/03/19"
}, {
"id": 62,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 5950,
"date": "2013/03/24"
}, {
"id": 63,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 5120,
"date": "2013/03/08"
}, {
"id": 64,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1980,
"date": "2013/03/17"
}, {
"id": 65,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1110,
"date": "2013/03/08"
}, {
"id": 66,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 980,
"date": "2013/03/21"
}, {
"id": 67,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 5460,
"date": "2013/03/19"
}, {
"id": 68,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 3800,
"date": "2013/03/12"
}, {
"id": 69,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2610,
"date": "2013/03/04"
}, {
"id": 70,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 3080,
"date": "2013/03/22"
}, {
"id": 71,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 2010,
"date": "2013/03/23"
}, {
"id": 72,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 1200,
"date": "2013/03/04"
}, {
"id": 73,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 7680,
"date": "2013/04/15"
}, {
"id": 74,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 1325,
"date": "2013/04/07"
}, {
"id": 75,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2835,
"date": "2013/04/10"
}, {
"id": 76,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3660,
"date": "2013/04/10"
}, {
"id": 77,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 390,
"date": "2013/04/12"
}, {
"id": 78,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 4420,
"date": "2013/04/08"
}, {
"id": 79,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1755,
"date": "2013/04/13"
}, {
"id": 80,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2580,
"date": "2013/04/15"
}, {
"id": 81,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 850,
"date": "2013/04/01"
}, {
"id": 82,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 2825,
"date": "2013/04/10"
}, {
"id": 83,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 540,
"date": "2013/04/06"
}, {
"id": 84,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1520,
"date": "2013/04/08"
}, {
"id": 85,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8760,
"date": "2013/04/26"
}, {
"id": 86,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1110,
"date": "2013/04/16"
}, {
"id": 87,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 6850,
"date": "2013/04/19"
}, {
"id": 88,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 1940,
"date": "2013/04/23"
}, {
"id": 89,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1980,
"date": "2013/04/21"
}, {
"id": 90,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 3090,
"date": "2013/04/03"
}, {
"id": 91,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1640,
"date": "2013/04/24"
}, {
"id": 92,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3585,
"date": "2013/04/01"
}, {
"id": 93,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1770,
"date": "2013/04/01"
}, {
"id": 94,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4005,
"date": "2013/04/04"
}, {
"id": 95,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2870,
"date": "2013/04/02"
}, {
"id": 96,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 960,
"date": "2013/04/20"
}, {
"id": 97,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 8640,
"date": "2013/05/14"
}, {
"id": 98,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 5450,
"date": "2013/05/24"
}, {
"id": 99,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2535,
"date": "2013/05/07"
}, {
"id": 100,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1155,
"date": "2013/05/20"
}, {
"id": 101,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 3140,
"date": "2013/05/18"
}, {
"id": 102,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2260,
"date": "2013/05/19"
}, {
"id": 103,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1215,
"date": "2013/05/23"
}, {
"id": 104,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1210,
"date": "2013/05/08"
}, {
"id": 105,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 875,
"date": "2013/05/25"
}, {
"id": 106,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5400,
"date": "2013/05/03"
}, {
"id": 107,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5940,
"date": "2013/05/25"
}, {
"id": 108,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 4700,
"date": "2013/05/03"
}, {
"id": 109,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 5520,
"date": "2013/05/12"
}, {
"id": 110,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 9210,
"date": "2013/05/22"
}, {
"id": 111,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 7950,
"date": "2013/05/12"
}, {
"id": 112,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 3740,
"date": "2013/05/24"
}, {
"id": 113,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 990,
"date": "2013/05/02"
}, {
"id": 114,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 3190,
"date": "2013/05/03"
}, {
"id": 115,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2430,
"date": "2013/05/11"
}, {
"id": 116,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 7380,
"date": "2013/06/15"
}, {
"id": 117,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 4475,
"date": "2013/06/08"
}, {
"id": 118,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 1290,
"date": "2013/06/10"
}, {
"id": 119,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2250,
"date": "2013/06/10"
}, {
"id": 120,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 350,
"date": "2013/06/22"
}, {
"id": 121,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 5480,
"date": "2013/06/24"
}, {
"id": 122,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 2355,
"date": "2013/06/10"
}, {
"id": 123,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1960,
"date": "2013/06/23"
}, {
"id": 124,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 4125,
"date": "2013/06/06"
}, {
"id": 125,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 7925,
"date": "2013/06/12"
}, {
"id": 126,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 1120,
"date": "2013/06/22"
}, {
"id": 127,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5100,
"date": "2013/06/01"
}, {
"id": 128,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 1500,
"date": "2013/06/25"
}, {
"id": 129,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 5130,
"date": "2013/06/10"
}, {
"id": 130,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 2475,
"date": "2013/06/10"
}, {
"id": 131,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 2100,
"date": "2013/06/06"
}, {
"id": 132,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3570,
"date": "2013/06/10"
}, {
"id": 133,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 550,
"date": "2013/06/02"
}, {
"id": 134,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2850,
"date": "2013/06/26"
}, {
"id": 135,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 4280,
"date": "2013/06/19"
}, {
"id": 136,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 1460,
"date": "2013/06/17"
}, {
"id": 137,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 960,
"date": "2013/06/17"
}, {
"id": 138,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1520,
"date": "2013/06/03"
}, {
"id": 139,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 6750,
"date": "2013/06/21"
}, {
"id": 140,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 7260,
"date": "2013/07/14"
}, {
"id": 141,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 2450,
"date": "2013/07/11"
}, {
"id": 142,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3540,
"date": "2013/07/02"
}, {
"id": 143,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1950,
"date": "2013/07/03"
}, {
"id": 144,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 360,
"date": "2013/07/07"
}, {
"id": 145,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 4500,
"date": "2013/07/03"
}, {
"id": 146,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4575,
"date": "2013/07/21"
}, {
"id": 147,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2310,
"date": "2013/07/18"
}, {
"id": 148,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 7500,
"date": "2013/07/04"
}, {
"id": 149,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 3575,
"date": "2013/07/23"
}, {
"id": 150,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 760,
"date": "2013/07/01"
}, {
"id": 151,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2400,
"date": "2013/07/11"
}, {
"id": 152,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 3330,
"date": "2013/07/04"
}, {
"id": 153,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 3480,
"date": "2013/07/23"
}, {
"id": 154,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4875,
"date": "2013/07/11"
}, {
"id": 155,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4980,
"date": "2013/07/19"
}, {
"id": 156,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2580,
"date": "2013/07/04"
}, {
"id": 157,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2650,
"date": "2013/07/16"
}, {
"id": 158,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1190,
"date": "2013/07/02"
}, {
"id": 159,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 960,
"date": "2013/07/26"
}, {
"id": 160,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 3600,
"date": "2013/08/08"
}, {
"id": 161,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 2250,
"date": "2013/08/01"
}, {
"id": 162,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 1275,
"date": "2013/08/02"
}, {
"id": 163,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3885,
"date": "2013/08/14"
}, {
"id": 164,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1900,
"date": "2013/08/05"
}, {
"id": 165,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2300,
"date": "2013/08/09"
}, {
"id": 166,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 2895,
"date": "2013/08/15"
}, {
"id": 167,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 350,
"date": "2013/08/20"
}, {
"id": 168,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 4200,
"date": "2013/08/22"
}, {
"id": 169,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 7175,
"date": "2013/08/14"
}, {
"id": 170,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 4420,
"date": "2013/08/24"
}, {
"id": 171,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5200,
"date": "2013/08/21"
}, {
"id": 172,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 7920,
"date": "2013/08/17"
}, {
"id": 173,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 6990,
"date": "2013/08/22"
}, {
"id": 174,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 2125,
"date": "2013/08/05"
}, {
"id": 175,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 2220,
"date": "2013/08/16"
}, {
"id": 176,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1575,
"date": "2013/08/23"
}, {
"id": 177,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1880,
"date": "2013/08/12"
}, {
"id": 178,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 710,
"date": "2013/08/25"
}, {
"id": 179,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 390,
"date": "2013/08/20"
}, {
"id": 180,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4635,
"date": "2013/08/04"
}, {
"id": 181,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 4350,
"date": "2013/08/19"
}, {
"id": 182,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 6020,
"date": "2013/08/02"
}, {
"id": 183,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 3660,
"date": "2013/08/19"
}, {
"id": 184,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 4525,
"date": "2013/08/24"
}, {
"id": 185,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 4410,
"date": "2013/09/12"
}, {
"id": 186,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 1725,
"date": "2013/09/07"
}, {
"id": 187,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2715,
"date": "2013/09/14"
}, {
"id": 188,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2820,
"date": "2013/09/08"
}, {
"id": 189,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2310,
"date": "2013/09/12"
}, {
"id": 190,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 780,
"date": "2013/09/08"
}, {
"id": 191,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 2370,
"date": "2013/09/19"
}, {
"id": 192,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1410,
"date": "2013/09/09"
}, {
"id": 193,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 1825,
"date": "2013/09/23"
}, {
"id": 194,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 4075,
"date": "2013/09/06"
}, {
"id": 195,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 1020,
"date": "2013/09/04"
}, {
"id": 196,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 4320,
"date": "2013/09/25"
}, {
"id": 197,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 7530,
"date": "2013/09/13"
}, {
"id": 198,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 2820,
"date": "2013/09/08"
}, {
"id": 199,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3050,
"date": "2013/09/04"
}, {
"id": 200,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 5080,
"date": "2013/09/25"
}, {
"id": 201,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1125,
"date": "2013/09/13"
}, {
"id": 202,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 850,
"date": "2013/09/24"
}, {
"id": 203,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1440,
"date": "2013/09/19"
}, {
"id": 204,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1950,
"date": "2013/09/02"
}, {
"id": 205,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 6390,
"date": "2013/10/11"
}, {
"id": 206,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 4625,
"date": "2013/10/02"
}, {
"id": 207,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3510,
"date": "2013/10/24"
}, {
"id": 208,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2730,
"date": "2013/10/15"
}, {
"id": 209,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2070,
"date": "2013/10/15"
}, {
"id": 210,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2320,
"date": "2013/10/18"
}, {
"id": 211,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4260,
"date": "2013/10/24"
}, {
"id": 212,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 840,
"date": "2013/10/18"
}, {
"id": 213,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 7300,
"date": "2013/10/24"
}, {
"id": 214,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5950,
"date": "2013/10/11"
}, {
"id": 215,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 3220,
"date": "2013/10/25"
}, {
"id": 216,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 3480,
"date": "2013/10/08"
}, {
"id": 217,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 4830,
"date": "2013/10/26"
}, {
"id": 218,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 4470,
"date": "2013/10/05"
}, {
"id": 219,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3675,
"date": "2013/10/23"
}, {
"id": 220,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4260,
"date": "2013/10/01"
}, {
"id": 221,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4245,
"date": "2013/10/26"
}, {
"id": 222,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1470,
"date": "2013/10/01"
}, {
"id": 223,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1810,
"date": "2013/10/02"
}, {
"id": 224,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 600,
"date": "2013/10/23"
}, {
"id": 225,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 7500,
"date": "2013/11/03"
}, {
"id": 226,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 4625,
"date": "2013/11/02"
}, {
"id": 227,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2625,
"date": "2013/11/09"
}, {
"id": 228,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1440,
"date": "2013/11/15"
}, {
"id": 229,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2420,
"date": "2013/11/15"
}, {
"id": 230,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 4180,
"date": "2013/11/15"
}, {
"id": 231,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 3720,
"date": "2013/11/25"
}, {
"id": 232,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2730,
"date": "2013/11/08"
}, {
"id": 233,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 3775,
"date": "2013/11/17"
}, {
"id": 234,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 3525,
"date": "2013/11/15"
}, {
"id": 235,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5320,
"date": "2013/11/08"
}, {
"id": 236,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5340,
"date": "2013/11/13"
}, {
"id": 237,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8850,
"date": "2013/11/01"
}, {
"id": 238,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 7050,
"date": "2013/11/14"
}, {
"id": 239,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4200,
"date": "2013/11/18"
}, {
"id": 240,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4960,
"date": "2013/11/04"
}, {
"id": 241,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2280,
"date": "2013/11/13"
}, {
"id": 242,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 590,
"date": "2013/11/11"
}, {
"id": 243,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 810,
"date": "2013/11/12"
}, {
"id": 244,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 2625,
"date": "2013/11/07"
}, {
"id": 245,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 8280,
"date": "2013/12/01"
}, {
"id": 246,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 5650,
"date": "2013/12/19"
}, {
"id": 247,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2760,
"date": "2013/12/14"
}, {
"id": 248,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2670,
"date": "2013/12/03"
}, {
"id": 249,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2520,
"date": "2013/12/20"
}, {
"id": 250,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 4080,
"date": "2013/12/21"
}, {
"id": 251,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4140,
"date": "2013/12/22"
}, {
"id": 252,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 390,
"date": "2013/12/04"
}, {
"id": 253,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 1400,
"date": "2013/12/19"
}, {
"id": 254,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 7275,
"date": "2013/12/22"
}, {
"id": 255,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 4100,
"date": "2013/12/20"
}, {
"id": 256,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5520,
"date": "2013/12/25"
}, {
"id": 257,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 9210,
"date": "2013/12/24"
}, {
"id": 258,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 7290,
"date": "2013/12/05"
}, {
"id": 259,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 625,
"date": "2013/12/22"
}, {
"id": 260,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4460,
"date": "2013/12/12"
}, {
"id": 261,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3825,
"date": "2013/12/13"
}, {
"id": 262,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2850,
"date": "2013/12/17"
}, {
"id": 263,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2780,
"date": "2013/12/07"
}, {
"id": 264,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 840,
"date": "2013/12/18"
}, {
"id": 265,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2970,
"date": "2013/12/23"
}, {
"id": 266,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 945,
"date": "2013/12/06"
}, {
"id": 267,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2625,
"date": "2013/12/04"
}, {
"id": 268,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 390,
"date": "2013/12/01"
}, {
"id": 269,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 2250,
"date": "2013/12/02"
}, {
"id": 270,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 7710,
"date": "2014/01/18"
}, {
"id": 271,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 7975,
"date": "2014/01/10"
}, {
"id": 272,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3285,
"date": "2014/01/13"
}, {
"id": 273,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2580,
"date": "2014/01/22"
}, {
"id": 274,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2160,
"date": "2014/01/26"
}, {
"id": 275,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 1100,
"date": "2014/01/25"
}, {
"id": 276,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4425,
"date": "2014/01/21"
}, {
"id": 277,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1360,
"date": "2014/01/22"
}, {
"id": 278,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 3250,
"date": "2014/01/14"
}, {
"id": 279,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5550,
"date": "2014/01/21"
}, {
"id": 280,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2860,
"date": "2014/01/25"
}, {
"id": 281,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5320,
"date": "2014/01/08"
}, {
"id": 282,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 4050,
"date": "2014/01/14"
}, {
"id": 283,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 3450,
"date": "2014/01/24"
}, {
"id": 284,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 5425,
"date": "2014/01/11"
}, {
"id": 285,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4860,
"date": "2014/01/12"
}, {
"id": 286,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4695,
"date": "2014/01/16"
}, {
"id": 287,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 610,
"date": "2014/01/05"
}, {
"id": 288,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1580,
"date": "2014/01/15"
}, {
"id": 289,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 3780,
"date": "2014/02/18"
}, {
"id": 290,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 5400,
"date": "2014/02/21"
}, {
"id": 291,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 630,
"date": "2014/02/18"
}, {
"id": 292,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3960,
"date": "2014/02/04"
}, {
"id": 293,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2010,
"date": "2014/02/25"
}, {
"id": 294,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 5000,
"date": "2014/02/01"
}, {
"id": 295,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1995,
"date": "2014/02/20"
}, {
"id": 296,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 860,
"date": "2014/02/12"
}, {
"id": 297,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 2150,
"date": "2014/02/10"
}, {
"id": 298,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 4050,
"date": "2014/02/06"
}, {
"id": 299,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2960,
"date": "2014/02/18"
}, {
"id": 300,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1780,
"date": "2014/02/26"
}, {
"id": 301,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8700,
"date": "2014/02/03"
}, {
"id": 302,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 3390,
"date": "2014/02/03"
}, {
"id": 303,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4425,
"date": "2014/02/15"
}, {
"id": 304,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 1180,
"date": "2014/02/23"
}, {
"id": 305,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 360,
"date": "2014/02/08"
}, {
"id": 306,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2310,
"date": "2014/02/13"
}, {
"id": 307,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1770,
"date": "2014/02/20"
}, {
"id": 308,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 3060,
"date": "2014/02/26"
}, {
"id": 309,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1750,
"date": "2014/02/12"
}, {
"id": 310,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 2280,
"date": "2014/03/09"
}, {
"id": 311,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 7600,
"date": "2014/03/25"
}, {
"id": 312,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 1035,
"date": "2014/03/23"
}, {
"id": 313,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1245,
"date": "2014/03/01"
}, {
"id": 314,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2860,
"date": "2014/03/19"
}, {
"id": 315,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 440,
"date": "2014/03/19"
}, {
"id": 316,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4665,
"date": "2014/03/02"
}, {
"id": 317,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2270,
"date": "2014/03/15"
}, {
"id": 318,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 5000,
"date": "2014/03/09"
}, {
"id": 319,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5100,
"date": "2014/03/23"
}, {
"id": 320,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2120,
"date": "2014/03/11"
}, {
"id": 321,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5140,
"date": "2014/03/05"
}, {
"id": 322,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 6210,
"date": "2014/03/19"
}, {
"id": 323,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 9510,
"date": "2014/03/19"
}, {
"id": 324,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 7600,
"date": "2014/03/21"
}, {
"id": 325,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 5420,
"date": "2014/03/15"
}, {
"id": 326,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1980,
"date": "2014/03/05"
}, {
"id": 327,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1820,
"date": "2014/03/07"
}, {
"id": 328,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1670,
"date": "2014/03/21"
}, {
"id": 329,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 4800,
"date": "2014/03/08"
}, {
"id": 330,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2925,
"date": "2014/03/03"
}, {
"id": 331,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 2940,
"date": "2014/04/11"
}, {
"id": 332,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 3525,
"date": "2014/04/13"
}, {
"id": 333,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2475,
"date": "2014/04/22"
}, {
"id": 334,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3315,
"date": "2014/04/08"
}, {
"id": 335,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 3140,
"date": "2014/04/07"
}, {
"id": 336,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2520,
"date": "2014/04/01"
}, {
"id": 337,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1200,
"date": "2014/04/10"
}, {
"id": 338,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2060,
"date": "2014/04/21"
}, {
"id": 339,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 7875,
"date": "2014/04/02"
}, {
"id": 340,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 1450,
"date": "2014/04/07"
}, {
"id": 341,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2640,
"date": "2014/04/22"
}, {
"id": 342,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1960,
"date": "2014/04/16"
}, {
"id": 343,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 2250,
"date": "2014/04/23"
}, {
"id": 344,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 4500,
"date": "2014/04/05"
}, {
"id": 345,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 5050,
"date": "2014/04/11"
}, {
"id": 346,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 2940,
"date": "2014/04/02"
}, {
"id": 347,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2880,
"date": "2014/04/14"
}, {
"id": 348,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1050,
"date": "2014/04/19"
}, {
"id": 349,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1850,
"date": "2014/04/02"
}, {
"id": 350,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 3160,
"date": "2014/04/01"
}, {
"id": 351,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 875,
"date": "2014/04/04"
}, {
"id": 352,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 3200,
"date": "2014/04/08"
}, {
"id": 353,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1380,
"date": "2014/04/21"
}, {
"id": 354,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 3060,
"date": "2014/04/06"
}, {
"id": 355,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 6690,
"date": "2014/05/19"
}, {
"id": 356,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 4525,
"date": "2014/05/15"
}, {
"id": 357,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 4665,
"date": "2014/05/10"
}, {
"id": 358,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 4530,
"date": "2014/05/18"
}, {
"id": 359,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1330,
"date": "2014/05/08"
}, {
"id": 360,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 1720,
"date": "2014/05/20"
}, {
"id": 361,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 3750,
"date": "2014/05/16"
}, {
"id": 362,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1290,
"date": "2014/05/10"
}, {
"id": 363,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 4925,
"date": "2014/05/14"
}, {
"id": 364,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 4300,
"date": "2014/05/22"
}, {
"id": 365,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5740,
"date": "2014/05/08"
}, {
"id": 366,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 3760,
"date": "2014/05/18"
}, {
"id": 367,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 7920,
"date": "2014/05/22"
}, {
"id": 368,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1440,
"date": "2014/05/21"
}, {
"id": 369,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 5975,
"date": "2014/05/25"
}, {
"id": 370,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4440,
"date": "2014/05/05"
}, {
"id": 371,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2310,
"date": "2014/05/24"
}, {
"id": 372,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2250,
"date": "2014/05/06"
}, {
"id": 373,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2320,
"date": "2014/05/14"
}, {
"id": 374,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8370,
"date": "2014/05/06"
}, {
"id": 375,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 5190,
"date": "2014/06/26"
}, {
"id": 376,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 925,
"date": "2014/06/04"
}, {
"id": 377,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3240,
"date": "2014/06/20"
}, {
"id": 378,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3180,
"date": "2014/06/23"
}, {
"id": 379,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 780,
"date": "2014/06/13"
}, {
"id": 380,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 4680,
"date": "2014/06/08"
}, {
"id": 381,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 2475,
"date": "2014/06/25"
}, {
"id": 382,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1920,
"date": "2014/06/20"
}, {
"id": 383,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 7500,
"date": "2014/06/25"
}, {
"id": 384,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5025,
"date": "2014/06/26"
}, {
"id": 385,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2400,
"date": "2014/06/08"
}, {
"id": 386,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1720,
"date": "2014/06/09"
}, {
"id": 387,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 2880,
"date": "2014/06/21"
}, {
"id": 388,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 5430,
"date": "2014/06/03"
}, {
"id": 389,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4475,
"date": "2014/06/19"
}, {
"id": 390,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 1420,
"date": "2014/06/20"
}, {
"id": 391,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2670,
"date": "2014/06/25"
}, {
"id": 392,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1930,
"date": "2014/06/02"
}, {
"id": 393,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 580,
"date": "2014/06/25"
}, {
"id": 394,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1620,
"date": "2014/06/12"
}, {
"id": 395,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4530,
"date": "2014/06/02"
}, {
"id": 396,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 6025,
"date": "2014/06/23"
}, {
"id": 397,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 3540,
"date": "2014/07/21"
}, {
"id": 398,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 3000,
"date": "2014/07/01"
}, {
"id": 399,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3240,
"date": "2014/07/26"
}, {
"id": 400,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2265,
"date": "2014/07/22"
}, {
"id": 401,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 400,
"date": "2014/07/09"
}, {
"id": 402,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 1460,
"date": "2014/07/08"
}, {
"id": 403,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1620,
"date": "2014/07/18"
}, {
"id": 404,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2400,
"date": "2014/07/25"
}, {
"id": 405,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 5275,
"date": "2014/07/04"
}, {
"id": 406,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 4475,
"date": "2014/07/03"
}, {
"id": 407,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 3980,
"date": "2014/07/21"
}, {
"id": 408,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 5240,
"date": "2014/07/11"
}, {
"id": 409,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 1200,
"date": "2014/07/21"
}, {
"id": 410,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 5700,
"date": "2014/07/18"
}, {
"id": 411,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 5575,
"date": "2014/07/01"
}, {
"id": 412,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 2160,
"date": "2014/07/02"
}, {
"id": 413,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 960,
"date": "2014/07/09"
}, {
"id": 414,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1280,
"date": "2014/07/04"
}, {
"id": 415,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1040,
"date": "2014/07/02"
}, {
"id": 416,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 5520,
"date": "2014/07/21"
}, {
"id": 417,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1760,
"date": "2014/07/25"
}, {
"id": 418,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 4080,
"date": "2014/07/07"
}, {
"id": 419,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1000,
"date": "2014/07/21"
}, {
"id": 420,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 3270,
"date": "2014/07/12"
}, {
"id": 421,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 1770,
"date": "2014/08/23"
}, {
"id": 422,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 2700,
"date": "2014/08/09"
}, {
"id": 423,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2175,
"date": "2014/08/03"
}, {
"id": 424,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3375,
"date": "2014/08/11"
}, {
"id": 425,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2040,
"date": "2014/08/01"
}, {
"id": 426,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 3000,
"date": "2014/08/21"
}, {
"id": 427,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 3900,
"date": "2014/08/16"
}, {
"id": 428,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1370,
"date": "2014/08/20"
}, {
"id": 429,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 5700,
"date": "2014/08/01"
}, {
"id": 430,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 1275,
"date": "2014/08/22"
}, {
"id": 431,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 4060,
"date": "2014/08/13"
}, {
"id": 432,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2320,
"date": "2014/08/18"
}, {
"id": 433,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 7590,
"date": "2014/08/24"
}, {
"id": 434,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 4560,
"date": "2014/08/20"
}, {
"id": 435,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 7575,
"date": "2014/08/20"
}, {
"id": 436,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 700,
"date": "2014/08/25"
}, {
"id": 437,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2400,
"date": "2014/08/16"
}, {
"id": 438,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1390,
"date": "2014/08/15"
}, {
"id": 439,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1320,
"date": "2014/08/09"
}, {
"id": 440,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 1680,
"date": "2014/08/09"
}, {
"id": 441,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1500,
"date": "2014/08/11"
}, {
"id": 442,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 6150,
"date": "2014/09/21"
}, {
"id": 443,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 3675,
"date": "2014/09/02"
}, {
"id": 444,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 2250,
"date": "2014/09/05"
}, {
"id": 445,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 3585,
"date": "2014/09/10"
}, {
"id": 446,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1470,
"date": "2014/09/01"
}, {
"id": 447,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2260,
"date": "2014/09/02"
}, {
"id": 448,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 3765,
"date": "2014/09/03"
}, {
"id": 449,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1640,
"date": "2014/09/04"
}, {
"id": 450,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 4475,
"date": "2014/09/09"
}, {
"id": 451,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5975,
"date": "2014/09/04"
}, {
"id": 452,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 1100,
"date": "2014/09/16"
}, {
"id": 453,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1320,
"date": "2014/09/18"
}, {
"id": 454,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8610,
"date": "2014/09/19"
}, {
"id": 455,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 9210,
"date": "2014/09/09"
}, {
"id": 456,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3700,
"date": "2014/09/01"
}, {
"id": 457,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 3620,
"date": "2014/09/19"
}, {
"id": 458,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4275,
"date": "2014/09/01"
}, {
"id": 459,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2370,
"date": "2014/09/03"
}, {
"id": 460,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1870,
"date": "2014/09/10"
}, {
"id": 461,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2070,
"date": "2014/09/25"
}, {
"id": 462,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5025,
"date": "2014/09/19"
}, {
"id": 463,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 1080,
"date": "2014/10/15"
}, {
"id": 464,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 1400,
"date": "2014/10/22"
}, {
"id": 465,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 4260,
"date": "2014/10/01"
}, {
"id": 466,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 2745,
"date": "2014/10/01"
}, {
"id": 467,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2920,
"date": "2014/10/23"
}, {
"id": 468,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 3520,
"date": "2014/10/11"
}, {
"id": 469,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4035,
"date": "2014/10/20"
}, {
"id": 470,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1730,
"date": "2014/10/05"
}, {
"id": 471,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 975,
"date": "2014/10/06"
}, {
"id": 472,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5700,
"date": "2014/10/06"
}, {
"id": 473,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5080,
"date": "2014/10/18"
}, {
"id": 474,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2940,
"date": "2014/10/24"
}, {
"id": 475,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 2670,
"date": "2014/10/04"
}, {
"id": 476,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1230,
"date": "2014/10/11"
}, {
"id": 477,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 600,
"date": "2014/10/08"
}, {
"id": 478,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 3700,
"date": "2014/10/08"
}, {
"id": 479,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3375,
"date": "2014/10/11"
}, {
"id": 480,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1500,
"date": "2014/10/17"
}, {
"id": 481,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 370,
"date": "2014/10/05"
}, {
"id": 482,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2340,
"date": "2014/10/16"
}, {
"id": 483,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1080,
"date": "2014/10/08"
}, {
"id": 484,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 2775,
"date": "2014/10/21"
}, {
"id": 485,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 4380,
"date": "2014/11/09"
}, {
"id": 486,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 5500,
"date": "2014/11/21"
}, {
"id": 487,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 1920,
"date": "2014/11/24"
}, {
"id": 488,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 765,
"date": "2014/11/24"
}, {
"id": 489,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 370,
"date": "2014/11/18"
}, {
"id": 490,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 3500,
"date": "2014/11/25"
}, {
"id": 491,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 825,
"date": "2014/11/09"
}, {
"id": 492,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 490,
"date": "2014/11/23"
}, {
"id": 493,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 7075,
"date": "2014/11/20"
}, {
"id": 494,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 1350,
"date": "2014/11/25"
}, {
"id": 495,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 1440,
"date": "2014/11/15"
}, {
"id": 496,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2820,
"date": "2014/11/13"
}, {
"id": 497,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 2280,
"date": "2014/11/12"
}, {
"id": 498,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1110,
"date": "2014/11/03"
}, {
"id": 499,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 1150,
"date": "2014/11/23"
}, {
"id": 500,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 2040,
"date": "2014/11/20"
}, {
"id": 501,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3090,
"date": "2014/11/24"
}, {
"id": 502,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1940,
"date": "2014/11/24"
}, {
"id": 503,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 3090,
"date": "2014/11/16"
}, {
"id": 504,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4900,
"date": "2014/11/05"
}, {
"id": 505,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3465,
"date": "2014/11/07"
}, {
"id": 506,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1110,
"date": "2014/11/20"
}, {
"id": 507,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1650,
"date": "2014/11/02"
}, {
"id": 508,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 5280,
"date": "2014/12/04"
}, {
"id": 509,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 3075,
"date": "2014/12/02"
}, {
"id": 510,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 690,
"date": "2014/12/07"
}, {
"id": 511,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1305,
"date": "2014/12/15"
}, {
"id": 512,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1970,
"date": "2014/12/01"
}, {
"id": 513,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 3760,
"date": "2014/12/18"
}, {
"id": 514,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1920,
"date": "2014/12/22"
}, {
"id": 515,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1360,
"date": "2014/12/12"
}, {
"id": 516,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 2525,
"date": "2014/12/06"
}, {
"id": 517,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 5575,
"date": "2014/12/20"
}, {
"id": 518,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5560,
"date": "2014/12/10"
}, {
"id": 519,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 4880,
"date": "2014/12/13"
}, {
"id": 520,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8850,
"date": "2014/12/03"
}, {
"id": 521,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 2820,
"date": "2014/12/10"
}, {
"id": 522,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 4000,
"date": "2014/12/12"
}, {
"id": 523,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 5820,
"date": "2014/12/02"
}, {
"id": 524,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 1275,
"date": "2014/12/12"
}, {
"id": 525,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1310,
"date": "2014/12/01"
}, {
"id": 526,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2180,
"date": "2014/12/26"
}, {
"id": 527,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4470,
"date": "2014/12/17"
}, {
"id": 528,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2990,
"date": "2014/12/15"
}, {
"id": 529,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 7650,
"date": "2014/12/18"
}, {
"id": 530,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 780,
"date": "2014/12/02"
}, {
"id": 531,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2970,
"date": "2014/12/13"
}, {
"id": 532,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1155,
"date": "2014/12/05"
}, {
"id": 533,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 4470,
"date": "2015/01/10"
}, {
"id": 534,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 1125,
"date": "2015/01/21"
}, {
"id": 535,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 645,
"date": "2015/01/17"
}, {
"id": 536,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 675,
"date": "2015/01/05"
}, {
"id": 537,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2840,
"date": "2015/01/05"
}, {
"id": 538,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2660,
"date": "2015/01/04"
}, {
"id": 539,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4560,
"date": "2015/01/12"
}, {
"id": 540,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2880,
"date": "2015/01/20"
}, {
"id": 541,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 500,
"date": "2015/01/02"
}, {
"id": 542,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 3925,
"date": "2015/01/07"
}, {
"id": 543,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5660,
"date": "2015/01/18"
}, {
"id": 544,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1460,
"date": "2015/01/22"
}, {
"id": 545,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 5040,
"date": "2015/01/10"
}, {
"id": 546,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 4830,
"date": "2015/01/13"
}, {
"id": 547,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3075,
"date": "2015/01/22"
}, {
"id": 548,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 3120,
"date": "2015/01/14"
}, {
"id": 549,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3525,
"date": "2015/01/23"
}, {
"id": 550,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1930,
"date": "2015/01/09"
}, {
"id": 551,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2890,
"date": "2015/01/02"
}, {
"id": 552,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 1545,
"date": "2015/01/17"
}, {
"id": 553,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3630,
"date": "2015/01/20"
}, {
"id": 554,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 4035,
"date": "2015/01/14"
}, {
"id": 555,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 345,
"date": "2015/01/06"
}, {
"id": 556,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 7000,
"date": "2015/01/07"
}, {
"id": 557,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 3060,
"date": "2015/02/13"
}, {
"id": 558,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 6425,
"date": "2015/02/04"
}, {
"id": 559,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 615,
"date": "2015/02/22"
}, {
"id": 560,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1755,
"date": "2015/02/07"
}, {
"id": 561,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1540,
"date": "2015/02/21"
}, {
"id": 562,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 2820,
"date": "2015/02/24"
}, {
"id": 563,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4305,
"date": "2015/02/10"
}, {
"id": 564,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 1520,
"date": "2015/02/26"
}, {
"id": 565,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 4725,
"date": "2015/02/18"
}, {
"id": 566,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 6750,
"date": "2015/02/16"
}, {
"id": 567,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 5540,
"date": "2015/02/07"
}, {
"id": 568,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1880,
"date": "2015/02/24"
}, {
"id": 569,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 6180,
"date": "2015/02/26"
}, {
"id": 570,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 9300,
"date": "2015/02/03"
}, {
"id": 571,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3700,
"date": "2015/02/26"
}, {
"id": 572,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 740,
"date": "2015/02/01"
}, {
"id": 573,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4755,
"date": "2015/02/23"
}, {
"id": 574,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2570,
"date": "2015/02/20"
}, {
"id": 575,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 2860,
"date": "2015/02/19"
}, {
"id": 576,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 5430,
"date": "2015/03/21"
}, {
"id": 577,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 4525,
"date": "2015/03/21"
}, {
"id": 578,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 1515,
"date": "2015/03/10"
}, {
"id": 579,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 630,
"date": "2015/03/15"
}, {
"id": 580,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1310,
"date": "2015/03/01"
}, {
"id": 581,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 3200,
"date": "2015/03/17"
}, {
"id": 582,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 3945,
"date": "2015/03/20"
}, {
"id": 583,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2990,
"date": "2015/03/18"
}, {
"id": 584,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 1125,
"date": "2015/03/22"
}, {
"id": 585,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 7950,
"date": "2015/03/17"
}, {
"id": 586,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 2960,
"date": "2015/03/25"
}, {
"id": 587,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 6300,
"date": "2015/03/20"
}, {
"id": 588,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 8670,
"date": "2015/03/07"
}, {
"id": 589,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 3930,
"date": "2015/03/23"
}, {
"id": 590,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 6975,
"date": "2015/03/02"
}, {
"id": 591,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4220,
"date": "2015/03/17"
}, {
"id": 592,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 3090,
"date": "2015/03/25"
}, {
"id": 593,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2380,
"date": "2015/03/01"
}, {
"id": 594,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1510,
"date": "2015/03/07"
}, {
"id": 595,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 1020,
"date": "2015/03/19"
}, {
"id": 596,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 6700,
"date": "2015/03/26"
}, {
"id": 597,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 4890,
"date": "2015/04/02"
}, {
"id": 598,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 7225,
"date": "2015/04/13"
}, {
"id": 599,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 795,
"date": "2015/04/07"
}, {
"id": 600,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1785,
"date": "2015/04/03"
}, {
"id": 601,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1850,
"date": "2015/04/03"
}, {
"id": 602,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 5120,
"date": "2015/04/12"
}, {
"id": 603,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 615,
"date": "2015/04/07"
}, {
"id": 604,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2860,
"date": "2015/04/05"
}, {
"id": 605,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 1525,
"date": "2015/04/24"
}, {
"id": 606,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 7425,
"date": "2015/04/15"
}, {
"id": 607,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 6080,
"date": "2015/04/13"
}, {
"id": 608,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 2940,
"date": "2015/04/04"
}, {
"id": 609,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 5580,
"date": "2015/04/16"
}, {
"id": 610,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 9390,
"date": "2015/04/19"
}, {
"id": 611,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3200,
"date": "2015/04/26"
}, {
"id": 612,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4380,
"date": "2015/04/05"
}, {
"id": 613,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 4725,
"date": "2015/04/06"
}, {
"id": 614,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 930,
"date": "2015/04/25"
}, {
"id": 615,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 1910,
"date": "2015/04/05"
}, {
"id": 616,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 2725,
"date": "2015/04/16"
}, {
"id": 617,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 4720,
"date": "2015/04/02"
}, {
"id": 618,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 5190,
"date": "2015/04/10"
}, {
"id": 619,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 2800,
"date": "2015/04/26"
}, {
"id": 620,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 3780,
"date": "2015/04/24"
}, {
"id": 621,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 2340,
"date": "2015/04/17"
}, {
"id": 622,
"region": "North America",
"country": "USA",
"city": "New York",
"amount": 4830,
"date": "2015/05/12"
}, {
"id": 623,
"region": "North America",
"country": "USA",
"city": "Los Angeles",
"amount": 2075,
"date": "2015/05/23"
}, {
"id": 624,
"region": "North America",
"country": "USA",
"city": "Denver",
"amount": 3420,
"date": "2015/05/21"
}, {
"id": 625,
"region": "North America",
"country": "CAN",
"city": "Vancouver",
"amount": 1440,
"date": "2015/05/10"
}, {
"id": 626,
"region": "North America",
"country": "CAN",
"city": "Edmonton",
"amount": 1680,
"date": "2015/05/15"
}, {
"id": 627,
"region": "South America",
"country": "BRA",
"city": "Rio de Janeiro",
"amount": 3440,
"date": "2015/05/16"
}, {
"id": 628,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 4695,
"date": "2015/05/10"
}, {
"id": 629,
"region": "South America",
"country": "PRY",
"city": "Asuncion",
"amount": 2380,
"date": "2015/05/06"
}, {
"id": 630,
"region": "Europe",
"country": "GBR",
"city": "London",
"amount": 1875,
"date": "2015/05/25"
}, {
"id": 631,
"region": "Europe",
"country": "DEU",
"city": "Berlin",
"amount": 7550,
"date": "2015/05/14"
}, {
"id": 632,
"region": "Europe",
"country": "ESP",
"city": "Madrid",
"amount": 3340,
"date": "2015/05/01"
}, {
"id": 633,
"region": "Europe",
"country": "RUS",
"city": "Moscow",
"amount": 1400,
"date": "2015/05/22"
}, {
"id": 634,
"region": "Asia",
"country": "CHN",
"city": "Beijing",
"amount": 6060,
"date": "2015/05/22"
}, {
"id": 635,
"region": "Asia",
"country": "JPN",
"city": "Tokyo",
"amount": 8370,
"date": "2015/05/13"
}, {
"id": 636,
"region": "Asia",
"country": "KOR",
"city": "Seoul",
"amount": 3550,
"date": "2015/05/26"
}, {
"id": 637,
"region": "Australia",
"country": "AUS",
"city": "Sydney",
"amount": 2620,
"date": "2015/05/17"
}, {
"id": 638,
"region": "Australia",
"country": "AUS",
"city": "Melbourne",
"amount": 2400,
"date": "2015/05/21"
}, {
"id": 639,
"region": "Africa",
"country": "ZAF",
"city": "Pretoria",
"amount": 1740,
"date": "2015/05/21"
}, {
"id": 640,
"region": "Africa",
"country": "EGY",
"city": "Cairo",
"amount": 500,
"date": "2015/05/26"
}, {
"id": 641,
"region": "South America",
"country": "ARG",
"city": "Buenos Aires",
"amount": 780,
"date": "2015/05/07"
}];

<template>
<div>
<div class="long-title">
<h3>Sales Amount by Region</h3>
</div>
<DxPivotGrid
:height="440"
:show-borders="true"
:allow-sorting="true"
:allow-filtering="true"
:data-source="dataSource"
@exporting="onExporting"
>
<DxFieldPanel
:show-data-fields="true"
:show-row-fields="true"
:show-column-fields="true"
:show-filter-fields="false"
:allow-field-dragging="false"
:visible="true"
/>
<DxFieldChooser :enabled="false"/>
<DxExport :enabled="true"/>
</DxPivotGrid>
</div>
</template>
<script>
import DxPivotGrid, {
DxExport,
DxFieldChooser,
DxFieldPanel,
} from 'devextreme-vue/pivot-grid';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import { Workbook } from 'exceljs';
import { saveAs } from 'file-saver-es';
// Our demo infrastructure requires us to use 'file-saver-es'.
// We recommend that you use the official 'file-saver' package in your applications.
import { exportPivotGrid } from 'devextreme/excel_exporter';
import { sales } from './data.js';
export default {
components: {
DxPivotGrid,
DxExport,
DxFieldChooser,
DxFieldPanel,
},
data() {
return {
dataSource: new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
expanded: true,
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
filterValues: [[2013], [2014], [2015]],
expanded: false,
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}],
store: sales,
}),
};
},
methods: {
onExporting(e) {
const workbook = new Workbook();
const worksheet = workbook.addWorksheet('Sales');
worksheet.columns = [
{ width: 30 }, { width: 20 }, { width: 30 }, { width: 30 }, { width: 30 }, { width: 30 },
];
exportPivotGrid({
component: e.component,
worksheet,
topLeftCell: { row: 4, column: 1 },
keepColumnWidths: false,
}).then((cellRange) => {
// Header
const headerRow = worksheet.getRow(2);
headerRow.height = 30;
const columnFromIndex = worksheet.views[0].xSplit + 1;
const columnToIndex = columnFromIndex + 3;
worksheet.mergeCells(2, columnFromIndex, 2, columnToIndex);
const headerCell = headerRow.getCell(columnFromIndex);
headerCell.value = 'Sales Amount by Region';
headerCell.font = { name: 'Segoe UI Light', size: 22, bold: true };
headerCell.alignment = { horizontal: 'left', vertical: 'middle', wrapText: true };
// Footer
const footerRowIndex = cellRange.to.row + 2;
const footerCell = worksheet.getRow(footerRowIndex).getCell(cellRange.to.column);
footerCell.value = 'www.wikipedia.org';
footerCell.font = { color: { argb: 'BFBFBF' }, italic: true };
footerCell.alignment = { horizontal: 'right' };
}).then(() => {
workbook.xlsx.writeBuffer().then((buffer) => {
saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'Sales.xlsx');
});
});
e.cancel = true;
},
},
};
</script>
<style scoped>
.long-title h3 {
font-family:
"Segoe UI Light",
"Helvetica Neue Light",
"Segoe UI",
"Helvetica Neue",
"Trebuchet MS",
Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app" />
</div>
</body>
</html>
export const sales = [{
id: 1,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2013/01/06',
}, {
id: 2,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 850,
date: '2013/01/13',
}, {
id: 3,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2235,
date: '2013/01/07',
}, {
id: 4,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1965,
date: '2013/01/03',
}, {
id: 5,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 880,
date: '2013/01/10',
}, {
id: 6,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013/01/17',
}, {
id: 7,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2790,
date: '2013/01/21',
}, {
id: 8,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 3140,
date: '2013/01/01',
}, {
id: 9,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6175,
date: '2013/01/24',
}, {
id: 10,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4575,
date: '2013/01/11',
}, {
id: 11,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3680,
date: '2013/01/12',
}, {
id: 12,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2260,
date: '2013/01/01',
}, {
id: 13,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2910,
date: '2013/01/26',
}, {
id: 14,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8400,
date: '2013/01/05',
}, {
id: 15,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1325,
date: '2013/01/14',
}, {
id: 16,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3920,
date: '2013/01/05',
}, {
id: 17,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2220,
date: '2013/01/15',
}, {
id: 18,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 940,
date: '2013/01/01',
}, {
id: 19,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1630,
date: '2013/01/10',
}, {
id: 20,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2910,
date: '2013/01/23',
}, {
id: 21,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2600,
date: '2013/01/14',
}, {
id: 22,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4340,
date: '2013/01/26',
}, {
id: 23,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6650,
date: '2013/01/24',
}, {
id: 24,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 490,
date: '2013/01/22',
}, {
id: 25,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3390,
date: '2013/01/25',
}, {
id: 26,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5160,
date: '2013/02/20',
}, {
id: 27,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5750,
date: '2013/02/12',
}, {
id: 28,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2805,
date: '2013/02/13',
}, {
id: 29,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2505,
date: '2013/02/09',
}, {
id: 30,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 930,
date: '2013/02/04',
}, {
id: 31,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013/02/03',
}, {
id: 32,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 315,
date: '2013/02/04',
}, {
id: 33,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2870,
date: '2013/02/18',
}, {
id: 34,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5150,
date: '2013/02/18',
}, {
id: 35,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2725,
date: '2013/02/20',
}, {
id: 36,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2840,
date: '2013/02/04',
}, {
id: 37,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5840,
date: '2013/02/13',
}, {
id: 38,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6750,
date: '2013/02/11',
}, {
id: 39,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1200,
date: '2013/02/03',
}, {
id: 40,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4550,
date: '2013/02/08',
}, {
id: 41,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 6040,
date: '2013/02/17',
}, {
id: 42,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2205,
date: '2013/02/08',
}, {
id: 43,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 990,
date: '2013/02/20',
}, {
id: 44,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 700,
date: '2013/02/11',
}, {
id: 45,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2325,
date: '2013/02/15',
}, {
id: 46,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 930,
date: '2013/02/21',
}, {
id: 47,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1560,
date: '2013/02/04',
}, {
id: 48,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2013/03/04',
}, {
id: 49,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3575,
date: '2013/03/20',
}, {
id: 50,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4500,
date: '2013/03/04',
}, {
id: 51,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1605,
date: '2013/03/17',
}, {
id: 52,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 800,
date: '2013/03/21',
}, {
id: 53,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 640,
date: '2013/03/08',
}, {
id: 54,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 735,
date: '2013/03/19',
}, {
id: 55,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2520,
date: '2013/03/20',
}, {
id: 56,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6675,
date: '2013/03/18',
}, {
id: 57,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3625,
date: '2013/03/25',
}, {
id: 58,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1200,
date: '2013/03/07',
}, {
id: 59,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2000,
date: '2013/03/07',
}, {
id: 60,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1410,
date: '2013/03/10',
}, {
id: 61,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2700,
date: '2013/03/19',
}, {
id: 62,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5950,
date: '2013/03/24',
}, {
id: 63,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5120,
date: '2013/03/08',
}, {
id: 64,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2013/03/17',
}, {
id: 65,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2013/03/08',
}, {
id: 66,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 980,
date: '2013/03/21',
}, {
id: 67,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5460,
date: '2013/03/19',
}, {
id: 68,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3800,
date: '2013/03/12',
}, {
id: 69,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2610,
date: '2013/03/04',
}, {
id: 70,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3080,
date: '2013/03/22',
}, {
id: 71,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2010,
date: '2013/03/23',
}, {
id: 72,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1200,
date: '2013/03/04',
}, {
id: 73,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7680,
date: '2013/04/15',
}, {
id: 74,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1325,
date: '2013/04/07',
}, {
id: 75,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2835,
date: '2013/04/10',
}, {
id: 76,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3660,
date: '2013/04/10',
}, {
id: 77,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 390,
date: '2013/04/12',
}, {
id: 78,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013/04/08',
}, {
id: 79,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1755,
date: '2013/04/13',
}, {
id: 80,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2580,
date: '2013/04/15',
}, {
id: 81,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 850,
date: '2013/04/01',
}, {
id: 82,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2825,
date: '2013/04/10',
}, {
id: 83,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 540,
date: '2013/04/06',
}, {
id: 84,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1520,
date: '2013/04/08',
}, {
id: 85,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8760,
date: '2013/04/26',
}, {
id: 86,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2013/04/16',
}, {
id: 87,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6850,
date: '2013/04/19',
}, {
id: 88,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1940,
date: '2013/04/23',
}, {
id: 89,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2013/04/21',
}, {
id: 90,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3090,
date: '2013/04/03',
}, {
id: 91,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1640,
date: '2013/04/24',
}, {
id: 92,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3585,
date: '2013/04/01',
}, {
id: 93,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1770,
date: '2013/04/01',
}, {
id: 94,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4005,
date: '2013/04/04',
}, {
id: 95,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2870,
date: '2013/04/02',
}, {
id: 96,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2013/04/20',
}, {
id: 97,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8640,
date: '2013/05/14',
}, {
id: 98,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5450,
date: '2013/05/24',
}, {
id: 99,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2535,
date: '2013/05/07',
}, {
id: 100,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1155,
date: '2013/05/20',
}, {
id: 101,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2013/05/18',
}, {
id: 102,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013/05/19',
}, {
id: 103,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1215,
date: '2013/05/23',
}, {
id: 104,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1210,
date: '2013/05/08',
}, {
id: 105,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2013/05/25',
}, {
id: 106,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5400,
date: '2013/05/03',
}, {
id: 107,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5940,
date: '2013/05/25',
}, {
id: 108,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4700,
date: '2013/05/03',
}, {
id: 109,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5520,
date: '2013/05/12',
}, {
id: 110,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2013/05/22',
}, {
id: 111,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7950,
date: '2013/05/12',
}, {
id: 112,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3740,
date: '2013/05/24',
}, {
id: 113,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 990,
date: '2013/05/02',
}, {
id: 114,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3190,
date: '2013/05/03',
}, {
id: 115,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2430,
date: '2013/05/11',
}, {
id: 116,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7380,
date: '2013/06/15',
}, {
id: 117,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4475,
date: '2013/06/08',
}, {
id: 118,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1290,
date: '2013/06/10',
}, {
id: 119,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2250,
date: '2013/06/10',
}, {
id: 120,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 350,
date: '2013/06/22',
}, {
id: 121,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013/06/24',
}, {
id: 122,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2355,
date: '2013/06/10',
}, {
id: 123,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1960,
date: '2013/06/23',
}, {
id: 124,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4125,
date: '2013/06/06',
}, {
id: 125,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7925,
date: '2013/06/12',
}, {
id: 126,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1120,
date: '2013/06/22',
}, {
id: 127,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5100,
date: '2013/06/01',
}, {
id: 128,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1500,
date: '2013/06/25',
}, {
id: 129,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5130,
date: '2013/06/10',
}, {
id: 130,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2475,
date: '2013/06/10',
}, {
id: 131,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2100,
date: '2013/06/06',
}, {
id: 132,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3570,
date: '2013/06/10',
}, {
id: 133,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 550,
date: '2013/06/02',
}, {
id: 134,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2850,
date: '2013/06/26',
}, {
id: 135,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4280,
date: '2013/06/19',
}, {
id: 136,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1460,
date: '2013/06/17',
}, {
id: 137,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2013/06/17',
}, {
id: 138,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1520,
date: '2013/06/03',
}, {
id: 139,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6750,
date: '2013/06/21',
}, {
id: 140,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7260,
date: '2013/07/14',
}, {
id: 141,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2450,
date: '2013/07/11',
}, {
id: 142,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3540,
date: '2013/07/02',
}, {
id: 143,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2013/07/03',
}, {
id: 144,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 360,
date: '2013/07/07',
}, {
id: 145,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013/07/03',
}, {
id: 146,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4575,
date: '2013/07/21',
}, {
id: 147,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2310,
date: '2013/07/18',
}, {
id: 148,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2013/07/04',
}, {
id: 149,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3575,
date: '2013/07/23',
}, {
id: 150,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 760,
date: '2013/07/01',
}, {
id: 151,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2400,
date: '2013/07/11',
}, {
id: 152,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 3330,
date: '2013/07/04',
}, {
id: 153,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3480,
date: '2013/07/23',
}, {
id: 154,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4875,
date: '2013/07/11',
}, {
id: 155,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4980,
date: '2013/07/19',
}, {
id: 156,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2580,
date: '2013/07/04',
}, {
id: 157,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2650,
date: '2013/07/16',
}, {
id: 158,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1190,
date: '2013/07/02',
}, {
id: 159,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 960,
date: '2013/07/26',
}, {
id: 160,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3600,
date: '2013/08/08',
}, {
id: 161,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2250,
date: '2013/08/01',
}, {
id: 162,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1275,
date: '2013/08/02',
}, {
id: 163,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3885,
date: '2013/08/14',
}, {
id: 164,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1900,
date: '2013/08/05',
}, {
id: 165,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013/08/09',
}, {
id: 166,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2895,
date: '2013/08/15',
}, {
id: 167,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 350,
date: '2013/08/20',
}, {
id: 168,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4200,
date: '2013/08/22',
}, {
id: 169,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7175,
date: '2013/08/14',
}, {
id: 170,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4420,
date: '2013/08/24',
}, {
id: 171,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5200,
date: '2013/08/21',
}, {
id: 172,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7920,
date: '2013/08/17',
}, {
id: 173,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6990,
date: '2013/08/22',
}, {
id: 174,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2125,
date: '2013/08/05',
}, {
id: 175,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2220,
date: '2013/08/16',
}, {
id: 176,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1575,
date: '2013/08/23',
}, {
id: 177,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1880,
date: '2013/08/12',
}, {
id: 178,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 710,
date: '2013/08/25',
}, {
id: 179,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2013/08/20',
}, {
id: 180,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4635,
date: '2013/08/04',
}, {
id: 181,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4350,
date: '2013/08/19',
}, {
id: 182,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013/08/02',
}, {
id: 183,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3660,
date: '2013/08/19',
}, {
id: 184,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2013/08/24',
}, {
id: 185,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4410,
date: '2013/09/12',
}, {
id: 186,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1725,
date: '2013/09/07',
}, {
id: 187,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2715,
date: '2013/09/14',
}, {
id: 188,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2820,
date: '2013/09/08',
}, {
id: 189,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2310,
date: '2013/09/12',
}, {
id: 190,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 780,
date: '2013/09/08',
}, {
id: 191,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2370,
date: '2013/09/19',
}, {
id: 192,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1410,
date: '2013/09/09',
}, {
id: 193,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1825,
date: '2013/09/23',
}, {
id: 194,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4075,
date: '2013/09/06',
}, {
id: 195,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1020,
date: '2013/09/04',
}, {
id: 196,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4320,
date: '2013/09/25',
}, {
id: 197,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7530,
date: '2013/09/13',
}, {
id: 198,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2013/09/08',
}, {
id: 199,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3050,
date: '2013/09/04',
}, {
id: 200,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5080,
date: '2013/09/25',
}, {
id: 201,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1125,
date: '2013/09/13',
}, {
id: 202,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 850,
date: '2013/09/24',
}, {
id: 203,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1440,
date: '2013/09/19',
}, {
id: 204,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2013/09/02',
}, {
id: 205,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6390,
date: '2013/10/11',
}, {
id: 206,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2013/10/02',
}, {
id: 207,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3510,
date: '2013/10/24',
}, {
id: 208,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2730,
date: '2013/10/15',
}, {
id: 209,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2070,
date: '2013/10/15',
}, {
id: 210,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013/10/18',
}, {
id: 211,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4260,
date: '2013/10/24',
}, {
id: 212,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 840,
date: '2013/10/18',
}, {
id: 213,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7300,
date: '2013/10/24',
}, {
id: 214,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5950,
date: '2013/10/11',
}, {
id: 215,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3220,
date: '2013/10/25',
}, {
id: 216,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3480,
date: '2013/10/08',
}, {
id: 217,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 4830,
date: '2013/10/26',
}, {
id: 218,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4470,
date: '2013/10/05',
}, {
id: 219,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3675,
date: '2013/10/23',
}, {
id: 220,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4260,
date: '2013/10/01',
}, {
id: 221,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4245,
date: '2013/10/26',
}, {
id: 222,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1470,
date: '2013/10/01',
}, {
id: 223,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1810,
date: '2013/10/02',
}, {
id: 224,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 600,
date: '2013/10/23',
}, {
id: 225,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7500,
date: '2013/11/03',
}, {
id: 226,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2013/11/02',
}, {
id: 227,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2013/11/09',
}, {
id: 228,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2013/11/15',
}, {
id: 229,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2420,
date: '2013/11/15',
}, {
id: 230,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013/11/15',
}, {
id: 231,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3720,
date: '2013/11/25',
}, {
id: 232,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2730,
date: '2013/11/08',
}, {
id: 233,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3775,
date: '2013/11/17',
}, {
id: 234,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3525,
date: '2013/11/15',
}, {
id: 235,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5320,
date: '2013/11/08',
}, {
id: 236,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5340,
date: '2013/11/13',
}, {
id: 237,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8850,
date: '2013/11/01',
}, {
id: 238,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7050,
date: '2013/11/14',
}, {
id: 239,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4200,
date: '2013/11/18',
}, {
id: 240,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4960,
date: '2013/11/04',
}, {
id: 241,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2280,
date: '2013/11/13',
}, {
id: 242,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 590,
date: '2013/11/11',
}, {
id: 243,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 810,
date: '2013/11/12',
}, {
id: 244,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2625,
date: '2013/11/07',
}, {
id: 245,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8280,
date: '2013/12/01',
}, {
id: 246,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5650,
date: '2013/12/19',
}, {
id: 247,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2760,
date: '2013/12/14',
}, {
id: 248,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2670,
date: '2013/12/03',
}, {
id: 249,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2520,
date: '2013/12/20',
}, {
id: 250,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013/12/21',
}, {
id: 251,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4140,
date: '2013/12/22',
}, {
id: 252,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 390,
date: '2013/12/04',
}, {
id: 253,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1400,
date: '2013/12/19',
}, {
id: 254,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7275,
date: '2013/12/22',
}, {
id: 255,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4100,
date: '2013/12/20',
}, {
id: 256,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5520,
date: '2013/12/25',
}, {
id: 257,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 9210,
date: '2013/12/24',
}, {
id: 258,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7290,
date: '2013/12/05',
}, {
id: 259,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 625,
date: '2013/12/22',
}, {
id: 260,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4460,
date: '2013/12/12',
}, {
id: 261,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3825,
date: '2013/12/13',
}, {
id: 262,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2850,
date: '2013/12/17',
}, {
id: 263,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2780,
date: '2013/12/07',
}, {
id: 264,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 840,
date: '2013/12/18',
}, {
id: 265,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2970,
date: '2013/12/23',
}, {
id: 266,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 945,
date: '2013/12/06',
}, {
id: 267,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2013/12/04',
}, {
id: 268,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2013/12/01',
}, {
id: 269,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2250,
date: '2013/12/02',
}, {
id: 270,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7710,
date: '2014/01/18',
}, {
id: 271,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7975,
date: '2014/01/10',
}, {
id: 272,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3285,
date: '2014/01/13',
}, {
id: 273,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2580,
date: '2014/01/22',
}, {
id: 274,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2160,
date: '2014/01/26',
}, {
id: 275,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014/01/25',
}, {
id: 276,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4425,
date: '2014/01/21',
}, {
id: 277,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2014/01/22',
}, {
id: 278,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3250,
date: '2014/01/14',
}, {
id: 279,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5550,
date: '2014/01/21',
}, {
id: 280,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2860,
date: '2014/01/25',
}, {
id: 281,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5320,
date: '2014/01/08',
}, {
id: 282,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 4050,
date: '2014/01/14',
}, {
id: 283,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3450,
date: '2014/01/24',
}, {
id: 284,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5425,
date: '2014/01/11',
}, {
id: 285,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4860,
date: '2014/01/12',
}, {
id: 286,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4695,
date: '2014/01/16',
}, {
id: 287,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 610,
date: '2014/01/05',
}, {
id: 288,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1580,
date: '2014/01/15',
}, {
id: 289,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3780,
date: '2014/02/18',
}, {
id: 290,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5400,
date: '2014/02/21',
}, {
id: 291,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 630,
date: '2014/02/18',
}, {
id: 292,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3960,
date: '2014/02/04',
}, {
id: 293,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2010,
date: '2014/02/25',
}, {
id: 294,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014/02/01',
}, {
id: 295,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1995,
date: '2014/02/20',
}, {
id: 296,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 860,
date: '2014/02/12',
}, {
id: 297,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2150,
date: '2014/02/10',
}, {
id: 298,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4050,
date: '2014/02/06',
}, {
id: 299,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2014/02/18',
}, {
id: 300,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1780,
date: '2014/02/26',
}, {
id: 301,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8700,
date: '2014/02/03',
}, {
id: 302,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3390,
date: '2014/02/03',
}, {
id: 303,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4425,
date: '2014/02/15',
}, {
id: 304,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1180,
date: '2014/02/23',
}, {
id: 305,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 360,
date: '2014/02/08',
}, {
id: 306,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2310,
date: '2014/02/13',
}, {
id: 307,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1770,
date: '2014/02/20',
}, {
id: 308,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3060,
date: '2014/02/26',
}, {
id: 309,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1750,
date: '2014/02/12',
}, {
id: 310,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2280,
date: '2014/03/09',
}, {
id: 311,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7600,
date: '2014/03/25',
}, {
id: 312,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1035,
date: '2014/03/23',
}, {
id: 313,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1245,
date: '2014/03/01',
}, {
id: 314,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2860,
date: '2014/03/19',
}, {
id: 315,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 440,
date: '2014/03/19',
}, {
id: 316,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4665,
date: '2014/03/02',
}, {
id: 317,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2270,
date: '2014/03/15',
}, {
id: 318,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5000,
date: '2014/03/09',
}, {
id: 319,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5100,
date: '2014/03/23',
}, {
id: 320,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2120,
date: '2014/03/11',
}, {
id: 321,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5140,
date: '2014/03/05',
}, {
id: 322,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6210,
date: '2014/03/19',
}, {
id: 323,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9510,
date: '2014/03/19',
}, {
id: 324,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7600,
date: '2014/03/21',
}, {
id: 325,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5420,
date: '2014/03/15',
}, {
id: 326,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2014/03/05',
}, {
id: 327,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1820,
date: '2014/03/07',
}, {
id: 328,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1670,
date: '2014/03/21',
}, {
id: 329,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4800,
date: '2014/03/08',
}, {
id: 330,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2925,
date: '2014/03/03',
}, {
id: 331,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2940,
date: '2014/04/11',
}, {
id: 332,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3525,
date: '2014/04/13',
}, {
id: 333,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2475,
date: '2014/04/22',
}, {
id: 334,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3315,
date: '2014/04/08',
}, {
id: 335,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2014/04/07',
}, {
id: 336,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014/04/01',
}, {
id: 337,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1200,
date: '2014/04/10',
}, {
id: 338,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2060,
date: '2014/04/21',
}, {
id: 339,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7875,
date: '2014/04/02',
}, {
id: 340,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1450,
date: '2014/04/07',
}, {
id: 341,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2640,
date: '2014/04/22',
}, {
id: 342,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1960,
date: '2014/04/16',
}, {
id: 343,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2250,
date: '2014/04/23',
}, {
id: 344,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4500,
date: '2014/04/05',
}, {
id: 345,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5050,
date: '2014/04/11',
}, {
id: 346,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2940,
date: '2014/04/02',
}, {
id: 347,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2880,
date: '2014/04/14',
}, {
id: 348,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1050,
date: '2014/04/19',
}, {
id: 349,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1850,
date: '2014/04/02',
}, {
id: 350,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3160,
date: '2014/04/01',
}, {
id: 351,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2014/04/04',
}, {
id: 352,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3200,
date: '2014/04/08',
}, {
id: 353,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1380,
date: '2014/04/21',
}, {
id: 354,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3060,
date: '2014/04/06',
}, {
id: 355,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6690,
date: '2014/05/19',
}, {
id: 356,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2014/05/15',
}, {
id: 357,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4665,
date: '2014/05/10',
}, {
id: 358,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4530,
date: '2014/05/18',
}, {
id: 359,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1330,
date: '2014/05/08',
}, {
id: 360,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014/05/20',
}, {
id: 361,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3750,
date: '2014/05/16',
}, {
id: 362,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1290,
date: '2014/05/10',
}, {
id: 363,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4925,
date: '2014/05/14',
}, {
id: 364,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4300,
date: '2014/05/22',
}, {
id: 365,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5740,
date: '2014/05/08',
}, {
id: 366,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3760,
date: '2014/05/18',
}, {
id: 367,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7920,
date: '2014/05/22',
}, {
id: 368,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1440,
date: '2014/05/21',
}, {
id: 369,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5975,
date: '2014/05/25',
}, {
id: 370,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4440,
date: '2014/05/05',
}, {
id: 371,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2310,
date: '2014/05/24',
}, {
id: 372,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2250,
date: '2014/05/06',
}, {
id: 373,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2320,
date: '2014/05/14',
}, {
id: 374,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8370,
date: '2014/05/06',
}, {
id: 375,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5190,
date: '2014/06/26',
}, {
id: 376,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 925,
date: '2014/06/04',
}, {
id: 377,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2014/06/20',
}, {
id: 378,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3180,
date: '2014/06/23',
}, {
id: 379,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 780,
date: '2014/06/13',
}, {
id: 380,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014/06/08',
}, {
id: 381,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2475,
date: '2014/06/25',
}, {
id: 382,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1920,
date: '2014/06/20',
}, {
id: 383,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2014/06/25',
}, {
id: 384,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2014/06/26',
}, {
id: 385,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2400,
date: '2014/06/08',
}, {
id: 386,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1720,
date: '2014/06/09',
}, {
id: 387,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2880,
date: '2014/06/21',
}, {
id: 388,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5430,
date: '2014/06/03',
}, {
id: 389,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4475,
date: '2014/06/19',
}, {
id: 390,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1420,
date: '2014/06/20',
}, {
id: 391,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2670,
date: '2014/06/25',
}, {
id: 392,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2014/06/02',
}, {
id: 393,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 580,
date: '2014/06/25',
}, {
id: 394,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1620,
date: '2014/06/12',
}, {
id: 395,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4530,
date: '2014/06/02',
}, {
id: 396,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6025,
date: '2014/06/23',
}, {
id: 397,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3540,
date: '2014/07/21',
}, {
id: 398,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3000,
date: '2014/07/01',
}, {
id: 399,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2014/07/26',
}, {
id: 400,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2265,
date: '2014/07/22',
}, {
id: 401,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 400,
date: '2014/07/09',
}, {
id: 402,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014/07/08',
}, {
id: 403,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1620,
date: '2014/07/18',
}, {
id: 404,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2400,
date: '2014/07/25',
}, {
id: 405,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5275,
date: '2014/07/04',
}, {
id: 406,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4475,
date: '2014/07/03',
}, {
id: 407,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3980,
date: '2014/07/21',
}, {
id: 408,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5240,
date: '2014/07/11',
}, {
id: 409,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1200,
date: '2014/07/21',
}, {
id: 410,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5700,
date: '2014/07/18',
}, {
id: 411,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5575,
date: '2014/07/01',
}, {
id: 412,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2160,
date: '2014/07/02',
}, {
id: 413,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 960,
date: '2014/07/09',
}, {
id: 414,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1280,
date: '2014/07/04',
}, {
id: 415,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1040,
date: '2014/07/02',
}, {
id: 416,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5520,
date: '2014/07/21',
}, {
id: 417,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1760,
date: '2014/07/25',
}, {
id: 418,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4080,
date: '2014/07/07',
}, {
id: 419,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1000,
date: '2014/07/21',
}, {
id: 420,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 3270,
date: '2014/07/12',
}, {
id: 421,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1770,
date: '2014/08/23',
}, {
id: 422,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2700,
date: '2014/08/09',
}, {
id: 423,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2175,
date: '2014/08/03',
}, {
id: 424,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3375,
date: '2014/08/11',
}, {
id: 425,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2040,
date: '2014/08/01',
}, {
id: 426,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014/08/21',
}, {
id: 427,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3900,
date: '2014/08/16',
}, {
id: 428,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1370,
date: '2014/08/20',
}, {
id: 429,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5700,
date: '2014/08/01',
}, {
id: 430,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1275,
date: '2014/08/22',
}, {
id: 431,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4060,
date: '2014/08/13',
}, {
id: 432,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2320,
date: '2014/08/18',
}, {
id: 433,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7590,
date: '2014/08/24',
}, {
id: 434,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4560,
date: '2014/08/20',
}, {
id: 435,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7575,
date: '2014/08/20',
}, {
id: 436,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 700,
date: '2014/08/25',
}, {
id: 437,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2014/08/16',
}, {
id: 438,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1390,
date: '2014/08/15',
}, {
id: 439,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1320,
date: '2014/08/09',
}, {
id: 440,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1680,
date: '2014/08/09',
}, {
id: 441,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1500,
date: '2014/08/11',
}, {
id: 442,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6150,
date: '2014/09/21',
}, {
id: 443,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3675,
date: '2014/09/02',
}, {
id: 444,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2250,
date: '2014/09/05',
}, {
id: 445,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3585,
date: '2014/09/10',
}, {
id: 446,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1470,
date: '2014/09/01',
}, {
id: 447,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014/09/02',
}, {
id: 448,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3765,
date: '2014/09/03',
}, {
id: 449,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1640,
date: '2014/09/04',
}, {
id: 450,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4475,
date: '2014/09/09',
}, {
id: 451,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5975,
date: '2014/09/04',
}, {
id: 452,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1100,
date: '2014/09/16',
}, {
id: 453,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1320,
date: '2014/09/18',
}, {
id: 454,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8610,
date: '2014/09/19',
}, {
id: 455,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2014/09/09',
}, {
id: 456,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2014/09/01',
}, {
id: 457,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3620,
date: '2014/09/19',
}, {
id: 458,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4275,
date: '2014/09/01',
}, {
id: 459,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2370,
date: '2014/09/03',
}, {
id: 460,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1870,
date: '2014/09/10',
}, {
id: 461,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2070,
date: '2014/09/25',
}, {
id: 462,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2014/09/19',
}, {
id: 463,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1080,
date: '2014/10/15',
}, {
id: 464,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1400,
date: '2014/10/22',
}, {
id: 465,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4260,
date: '2014/10/01',
}, {
id: 466,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2745,
date: '2014/10/01',
}, {
id: 467,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2920,
date: '2014/10/23',
}, {
id: 468,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014/10/11',
}, {
id: 469,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4035,
date: '2014/10/20',
}, {
id: 470,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1730,
date: '2014/10/05',
}, {
id: 471,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 975,
date: '2014/10/06',
}, {
id: 472,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5700,
date: '2014/10/06',
}, {
id: 473,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5080,
date: '2014/10/18',
}, {
id: 474,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2940,
date: '2014/10/24',
}, {
id: 475,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2670,
date: '2014/10/04',
}, {
id: 476,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1230,
date: '2014/10/11',
}, {
id: 477,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 600,
date: '2014/10/08',
}, {
id: 478,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3700,
date: '2014/10/08',
}, {
id: 479,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3375,
date: '2014/10/11',
}, {
id: 480,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1500,
date: '2014/10/17',
}, {
id: 481,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 370,
date: '2014/10/05',
}, {
id: 482,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2340,
date: '2014/10/16',
}, {
id: 483,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1080,
date: '2014/10/08',
}, {
id: 484,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2775,
date: '2014/10/21',
}, {
id: 485,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4380,
date: '2014/11/09',
}, {
id: 486,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5500,
date: '2014/11/21',
}, {
id: 487,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1920,
date: '2014/11/24',
}, {
id: 488,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 765,
date: '2014/11/24',
}, {
id: 489,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 370,
date: '2014/11/18',
}, {
id: 490,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014/11/25',
}, {
id: 491,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 825,
date: '2014/11/09',
}, {
id: 492,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 490,
date: '2014/11/23',
}, {
id: 493,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7075,
date: '2014/11/20',
}, {
id: 494,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1350,
date: '2014/11/25',
}, {
id: 495,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1440,
date: '2014/11/15',
}, {
id: 496,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2820,
date: '2014/11/13',
}, {
id: 497,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2280,
date: '2014/11/12',
}, {
id: 498,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2014/11/03',
}, {
id: 499,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1150,
date: '2014/11/23',
}, {
id: 500,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2040,
date: '2014/11/20',
}, {
id: 501,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2014/11/24',
}, {
id: 502,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1940,
date: '2014/11/24',
}, {
id: 503,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 3090,
date: '2014/11/16',
}, {
id: 504,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4900,
date: '2014/11/05',
}, {
id: 505,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3465,
date: '2014/11/07',
}, {
id: 506,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2014/11/20',
}, {
id: 507,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1650,
date: '2014/11/02',
}, {
id: 508,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5280,
date: '2014/12/04',
}, {
id: 509,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3075,
date: '2014/12/02',
}, {
id: 510,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 690,
date: '2014/12/07',
}, {
id: 511,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1305,
date: '2014/12/15',
}, {
id: 512,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1970,
date: '2014/12/01',
}, {
id: 513,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014/12/18',
}, {
id: 514,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1920,
date: '2014/12/22',
}, {
id: 515,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2014/12/12',
}, {
id: 516,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2525,
date: '2014/12/06',
}, {
id: 517,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5575,
date: '2014/12/20',
}, {
id: 518,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5560,
date: '2014/12/10',
}, {
id: 519,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4880,
date: '2014/12/13',
}, {
id: 520,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8850,
date: '2014/12/03',
}, {
id: 521,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2014/12/10',
}, {
id: 522,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4000,
date: '2014/12/12',
}, {
id: 523,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5820,
date: '2014/12/02',
}, {
id: 524,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1275,
date: '2014/12/12',
}, {
id: 525,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1310,
date: '2014/12/01',
}, {
id: 526,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2180,
date: '2014/12/26',
}, {
id: 527,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4470,
date: '2014/12/17',
}, {
id: 528,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2990,
date: '2014/12/15',
}, {
id: 529,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7650,
date: '2014/12/18',
}, {
id: 530,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 780,
date: '2014/12/02',
}, {
id: 531,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2970,
date: '2014/12/13',
}, {
id: 532,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1155,
date: '2014/12/05',
}, {
id: 533,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4470,
date: '2015/01/10',
}, {
id: 534,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1125,
date: '2015/01/21',
}, {
id: 535,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 645,
date: '2015/01/17',
}, {
id: 536,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 675,
date: '2015/01/05',
}, {
id: 537,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2840,
date: '2015/01/05',
}, {
id: 538,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015/01/04',
}, {
id: 539,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4560,
date: '2015/01/12',
}, {
id: 540,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2880,
date: '2015/01/20',
}, {
id: 541,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 500,
date: '2015/01/02',
}, {
id: 542,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3925,
date: '2015/01/07',
}, {
id: 543,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5660,
date: '2015/01/18',
}, {
id: 544,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1460,
date: '2015/01/22',
}, {
id: 545,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5040,
date: '2015/01/10',
}, {
id: 546,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4830,
date: '2015/01/13',
}, {
id: 547,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3075,
date: '2015/01/22',
}, {
id: 548,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3120,
date: '2015/01/14',
}, {
id: 549,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3525,
date: '2015/01/23',
}, {
id: 550,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2015/01/09',
}, {
id: 551,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2890,
date: '2015/01/02',
}, {
id: 552,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1545,
date: '2015/01/17',
}, {
id: 553,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3630,
date: '2015/01/20',
}, {
id: 554,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4035,
date: '2015/01/14',
}, {
id: 555,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 345,
date: '2015/01/06',
}, {
id: 556,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7000,
date: '2015/01/07',
}, {
id: 557,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3060,
date: '2015/02/13',
}, {
id: 558,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 6425,
date: '2015/02/04',
}, {
id: 559,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 615,
date: '2015/02/22',
}, {
id: 560,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1755,
date: '2015/02/07',
}, {
id: 561,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1540,
date: '2015/02/21',
}, {
id: 562,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015/02/24',
}, {
id: 563,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4305,
date: '2015/02/10',
}, {
id: 564,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1520,
date: '2015/02/26',
}, {
id: 565,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4725,
date: '2015/02/18',
}, {
id: 566,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6750,
date: '2015/02/16',
}, {
id: 567,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5540,
date: '2015/02/07',
}, {
id: 568,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1880,
date: '2015/02/24',
}, {
id: 569,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6180,
date: '2015/02/26',
}, {
id: 570,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9300,
date: '2015/02/03',
}, {
id: 571,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2015/02/26',
}, {
id: 572,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 740,
date: '2015/02/01',
}, {
id: 573,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4755,
date: '2015/02/23',
}, {
id: 574,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2570,
date: '2015/02/20',
}, {
id: 575,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2860,
date: '2015/02/19',
}, {
id: 576,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5430,
date: '2015/03/21',
}, {
id: 577,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2015/03/21',
}, {
id: 578,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1515,
date: '2015/03/10',
}, {
id: 579,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 630,
date: '2015/03/15',
}, {
id: 580,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1310,
date: '2015/03/01',
}, {
id: 581,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015/03/17',
}, {
id: 582,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3945,
date: '2015/03/20',
}, {
id: 583,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2990,
date: '2015/03/18',
}, {
id: 584,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1125,
date: '2015/03/22',
}, {
id: 585,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7950,
date: '2015/03/17',
}, {
id: 586,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2015/03/25',
}, {
id: 587,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 6300,
date: '2015/03/20',
}, {
id: 588,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8670,
date: '2015/03/07',
}, {
id: 589,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3930,
date: '2015/03/23',
}, {
id: 590,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6975,
date: '2015/03/02',
}, {
id: 591,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4220,
date: '2015/03/17',
}, {
id: 592,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2015/03/25',
}, {
id: 593,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2380,
date: '2015/03/01',
}, {
id: 594,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1510,
date: '2015/03/07',
}, {
id: 595,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1020,
date: '2015/03/19',
}, {
id: 596,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6700,
date: '2015/03/26',
}, {
id: 597,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4890,
date: '2015/04/02',
}, {
id: 598,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7225,
date: '2015/04/13',
}, {
id: 599,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 795,
date: '2015/04/07',
}, {
id: 600,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1785,
date: '2015/04/03',
}, {
id: 601,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1850,
date: '2015/04/03',
}, {
id: 602,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015/04/12',
}, {
id: 603,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 615,
date: '2015/04/07',
}, {
id: 604,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2860,
date: '2015/04/05',
}, {
id: 605,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1525,
date: '2015/04/24',
}, {
id: 606,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7425,
date: '2015/04/15',
}, {
id: 607,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 6080,
date: '2015/04/13',
}, {
id: 608,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2940,
date: '2015/04/04',
}, {
id: 609,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5580,
date: '2015/04/16',
}, {
id: 610,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9390,
date: '2015/04/19',
}, {
id: 611,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3200,
date: '2015/04/26',
}, {
id: 612,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4380,
date: '2015/04/05',
}, {
id: 613,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4725,
date: '2015/04/06',
}, {
id: 614,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 930,
date: '2015/04/25',
}, {
id: 615,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1910,
date: '2015/04/05',
}, {
id: 616,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2725,
date: '2015/04/16',
}, {
id: 617,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4720,
date: '2015/04/02',
}, {
id: 618,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5190,
date: '2015/04/10',
}, {
id: 619,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2800,
date: '2015/04/26',
}, {
id: 620,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3780,
date: '2015/04/24',
}, {
id: 621,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2340,
date: '2015/04/17',
}, {
id: 622,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4830,
date: '2015/05/12',
}, {
id: 623,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2075,
date: '2015/05/23',
}, {
id: 624,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3420,
date: '2015/05/21',
}, {
id: 625,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2015/05/10',
}, {
id: 626,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1680,
date: '2015/05/15',
}, {
id: 627,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015/05/16',
}, {
id: 628,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4695,
date: '2015/05/10',
}, {
id: 629,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2380,
date: '2015/05/06',
}, {
id: 630,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1875,
date: '2015/05/25',
}, {
id: 631,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7550,
date: '2015/05/14',
}, {
id: 632,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3340,
date: '2015/05/01',
}, {
id: 633,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1400,
date: '2015/05/22',
}, {
id: 634,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6060,
date: '2015/05/22',
}, {
id: 635,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8370,
date: '2015/05/13',
}, {
id: 636,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3550,
date: '2015/05/26',
}, {
id: 637,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2620,
date: '2015/05/17',
}, {
id: 638,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2015/05/21',
}, {
id: 639,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1740,
date: '2015/05/21',
}, {
id: 640,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 500,
date: '2015/05/26',
}, {
id: 641,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 780,
date: '2015/05/07',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
'exceljs': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'exceljs': 'npm:exceljs@3.8.0/dist/exceljs.min.js',
'file-saver-es': 'npm:file-saver-es@2.0.5/dist/FileSaver.min.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import PivotGrid, {
FieldChooser,
FieldPanel,
Export,
} from 'devextreme-react/pivot-grid';
import CheckBox from 'devextreme-react/check-box';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import { Workbook } from 'exceljs';
import { saveAs } from 'file-saver-es';
// Our demo infrastructure requires us to use 'file-saver-es'.
// We recommend that you use the official 'file-saver' package in your applications.
import { exportPivotGrid } from 'devextreme/excel_exporter';
import { sales } from './data.js';
const dataSource = new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
expanded: true,
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
filterValues: [[2013], [2014], [2015]],
expanded: false,
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}, {
caption: 'Country',
dataField: 'country',
area: 'filter',
}],
store: sales,
});
export default function App() {
const [exportDataFieldHeaders, setExportDataFieldHeaders] = React.useState(false);
const [exportRowFieldHeaders, setExportRowFieldHeaders] = React.useState(false);
const [exportColumnFieldHeaders, setExportColumnFieldHeaders] = React.useState(false);
const [exportFilterFieldHeaders, setExportFilterFieldHeaders] = React.useState(false);
const onExporting = React.useCallback((e) => {
const workbook = new Workbook();
const worksheet = workbook.addWorksheet('Sales');
worksheet.columns = [
{ width: 30 }, { width: 20 }, { width: 30 }, { width: 30 }, { width: 30 }, { width: 30 },
];
exportPivotGrid({
component: e.component,
worksheet,
topLeftCell: { row: 4, column: 1 },
keepColumnWidths: false,
exportDataFieldHeaders,
exportRowFieldHeaders,
exportColumnFieldHeaders,
exportFilterFieldHeaders,
}).then((cellRange) => {
// Header
const headerRow = worksheet.getRow(2);
headerRow.height = 30;
const columnFromIndex = worksheet.views[0].xSplit + 1;
const columnToIndex = columnFromIndex + 3;
worksheet.mergeCells(2, columnFromIndex, 2, columnToIndex);
const headerCell = headerRow.getCell(columnFromIndex);
headerCell.value = 'Sales Amount by Region';
headerCell.font = { name: 'Segoe UI Light', size: 22, bold: true };
headerCell.alignment = { horizontal: 'left', vertical: 'middle', wrapText: true };
// Footer
const footerRowIndex = cellRange.to.row + 2;
const footerCell = worksheet.getRow(footerRowIndex).getCell(cellRange.to.column);
footerCell.value = 'www.wikipedia.org';
footerCell.font = { color: { argb: 'BFBFBF' }, italic: true };
footerCell.alignment = { horizontal: 'right' };
}).then(() => {
workbook.xlsx.writeBuffer().then((buffer) => {
saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'Sales.xlsx');
});
});
e.cancel = true;
});
const onExportDataFieldHeadersChanged = React.useCallback(({ value }) => {
setExportDataFieldHeaders(value);
}, [exportDataFieldHeaders, setExportDataFieldHeaders]);
const onExportRowFieldHeadersChanged = React.useCallback(({ value }) => {
setExportRowFieldHeaders(value);
}, [exportRowFieldHeaders, setExportRowFieldHeaders]);
const onExportColumnFieldHeadersChanged = React.useCallback(({ value }) => {
setExportColumnFieldHeaders(value);
}, [exportColumnFieldHeaders, setExportColumnFieldHeaders]);
const onExportFilterFieldHeadersChanged = React.useCallback(({ value }) => {
setExportFilterFieldHeaders(value);
}, [exportFilterFieldHeaders, setExportFilterFieldHeaders]);
return (
<React.Fragment>
<div className="long-title">
<h3>Sales Amount by Region</h3>
</div>
<PivotGrid
dataSource={dataSource}
height={440}
showBorders={true}
allowSorting={true}
allowFiltering={true}
onExporting={onExporting}
>
<FieldPanel
showDataFields={true}
showRowFields={true}
showColumnFields={true}
showFilterFields={true}
allowFieldDragging={true}
visible={true}>
</FieldPanel>
<FieldChooser enabled={false} />
<Export enabled={true} />
</PivotGrid>
<div className="export-options">
<div className="caption">Export Options</div>
<div className="options">
<CheckBox id="export-data-field-headers"
value={exportDataFieldHeaders}
onValueChanged={onExportDataFieldHeadersChanged}
text="Export Data Field Headers" />
<CheckBox id="export-row-field-headers"
value={exportRowFieldHeaders}
onValueChanged={onExportRowFieldHeadersChanged}
text="Export Row Field Headers" />
<CheckBox id="export-column-field-headers"
value={exportColumnFieldHeaders}
onValueChanged={onExportColumnFieldHeadersChanged}
text="Export Column Field Headers" />
<CheckBox id="export-filter-field-headers"
value={exportFilterFieldHeaders}
onValueChanged={onExportFilterFieldHeadersChanged}
text="Export Filter Field Headers" />
</div>
</div>
</React.Fragment>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
.export-options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.options {
display: grid;
grid-template-columns: repeat(1, 1fr);
gap: 12px;
margin-top: 10px;
}
@media (min-width: 500px) {
.options {
grid-template-columns: 250px 1fr;
}
}
@media (min-width: 950px) {
.options {
grid-template-columns: repeat(4, 1fr);
}
}
export const sales = [{
id: 1,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2013/01/06',
}, {
id: 2,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 850,
date: '2013/01/13',
}, {
id: 3,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2235,
date: '2013/01/07',
}, {
id: 4,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1965,
date: '2013/01/03',
}, {
id: 5,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 880,
date: '2013/01/10',
}, {
id: 6,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013/01/17',
}, {
id: 7,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2790,
date: '2013/01/21',
}, {
id: 8,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 3140,
date: '2013/01/01',
}, {
id: 9,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6175,
date: '2013/01/24',
}, {
id: 10,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4575,
date: '2013/01/11',
}, {
id: 11,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3680,
date: '2013/01/12',
}, {
id: 12,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2260,
date: '2013/01/01',
}, {
id: 13,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2910,
date: '2013/01/26',
}, {
id: 14,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8400,
date: '2013/01/05',
}, {
id: 15,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1325,
date: '2013/01/14',
}, {
id: 16,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3920,
date: '2013/01/05',
}, {
id: 17,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2220,
date: '2013/01/15',
}, {
id: 18,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 940,
date: '2013/01/01',
}, {
id: 19,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1630,
date: '2013/01/10',
}, {
id: 20,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2910,
date: '2013/01/23',
}, {
id: 21,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2600,
date: '2013/01/14',
}, {
id: 22,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4340,
date: '2013/01/26',
}, {
id: 23,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6650,
date: '2013/01/24',
}, {
id: 24,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 490,
date: '2013/01/22',
}, {
id: 25,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3390,
date: '2013/01/25',
}, {
id: 26,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5160,
date: '2013/02/20',
}, {
id: 27,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5750,
date: '2013/02/12',
}, {
id: 28,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2805,
date: '2013/02/13',
}, {
id: 29,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2505,
date: '2013/02/09',
}, {
id: 30,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 930,
date: '2013/02/04',
}, {
id: 31,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013/02/03',
}, {
id: 32,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 315,
date: '2013/02/04',
}, {
id: 33,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2870,
date: '2013/02/18',
}, {
id: 34,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5150,
date: '2013/02/18',
}, {
id: 35,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2725,
date: '2013/02/20',
}, {
id: 36,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2840,
date: '2013/02/04',
}, {
id: 37,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5840,
date: '2013/02/13',
}, {
id: 38,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6750,
date: '2013/02/11',
}, {
id: 39,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1200,
date: '2013/02/03',
}, {
id: 40,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4550,
date: '2013/02/08',
}, {
id: 41,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 6040,
date: '2013/02/17',
}, {
id: 42,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2205,
date: '2013/02/08',
}, {
id: 43,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 990,
date: '2013/02/20',
}, {
id: 44,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 700,
date: '2013/02/11',
}, {
id: 45,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2325,
date: '2013/02/15',
}, {
id: 46,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 930,
date: '2013/02/21',
}, {
id: 47,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1560,
date: '2013/02/04',
}, {
id: 48,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2013/03/04',
}, {
id: 49,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3575,
date: '2013/03/20',
}, {
id: 50,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4500,
date: '2013/03/04',
}, {
id: 51,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1605,
date: '2013/03/17',
}, {
id: 52,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 800,
date: '2013/03/21',
}, {
id: 53,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 640,
date: '2013/03/08',
}, {
id: 54,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 735,
date: '2013/03/19',
}, {
id: 55,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2520,
date: '2013/03/20',
}, {
id: 56,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6675,
date: '2013/03/18',
}, {
id: 57,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3625,
date: '2013/03/25',
}, {
id: 58,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1200,
date: '2013/03/07',
}, {
id: 59,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2000,
date: '2013/03/07',
}, {
id: 60,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1410,
date: '2013/03/10',
}, {
id: 61,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2700,
date: '2013/03/19',
}, {
id: 62,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5950,
date: '2013/03/24',
}, {
id: 63,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5120,
date: '2013/03/08',
}, {
id: 64,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2013/03/17',
}, {
id: 65,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2013/03/08',
}, {
id: 66,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 980,
date: '2013/03/21',
}, {
id: 67,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5460,
date: '2013/03/19',
}, {
id: 68,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3800,
date: '2013/03/12',
}, {
id: 69,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2610,
date: '2013/03/04',
}, {
id: 70,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3080,
date: '2013/03/22',
}, {
id: 71,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2010,
date: '2013/03/23',
}, {
id: 72,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1200,
date: '2013/03/04',
}, {
id: 73,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7680,
date: '2013/04/15',
}, {
id: 74,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1325,
date: '2013/04/07',
}, {
id: 75,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2835,
date: '2013/04/10',
}, {
id: 76,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3660,
date: '2013/04/10',
}, {
id: 77,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 390,
date: '2013/04/12',
}, {
id: 78,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013/04/08',
}, {
id: 79,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1755,
date: '2013/04/13',
}, {
id: 80,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2580,
date: '2013/04/15',
}, {
id: 81,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 850,
date: '2013/04/01',
}, {
id: 82,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2825,
date: '2013/04/10',
}, {
id: 83,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 540,
date: '2013/04/06',
}, {
id: 84,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1520,
date: '2013/04/08',
}, {
id: 85,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8760,
date: '2013/04/26',
}, {
id: 86,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2013/04/16',
}, {
id: 87,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6850,
date: '2013/04/19',
}, {
id: 88,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1940,
date: '2013/04/23',
}, {
id: 89,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2013/04/21',
}, {
id: 90,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3090,
date: '2013/04/03',
}, {
id: 91,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1640,
date: '2013/04/24',
}, {
id: 92,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3585,
date: '2013/04/01',
}, {
id: 93,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1770,
date: '2013/04/01',
}, {
id: 94,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4005,
date: '2013/04/04',
}, {
id: 95,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2870,
date: '2013/04/02',
}, {
id: 96,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2013/04/20',
}, {
id: 97,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8640,
date: '2013/05/14',
}, {
id: 98,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5450,
date: '2013/05/24',
}, {
id: 99,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2535,
date: '2013/05/07',
}, {
id: 100,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1155,
date: '2013/05/20',
}, {
id: 101,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2013/05/18',
}, {
id: 102,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013/05/19',
}, {
id: 103,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1215,
date: '2013/05/23',
}, {
id: 104,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1210,
date: '2013/05/08',
}, {
id: 105,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2013/05/25',
}, {
id: 106,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5400,
date: '2013/05/03',
}, {
id: 107,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5940,
date: '2013/05/25',
}, {
id: 108,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4700,
date: '2013/05/03',
}, {
id: 109,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5520,
date: '2013/05/12',
}, {
id: 110,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2013/05/22',
}, {
id: 111,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7950,
date: '2013/05/12',
}, {
id: 112,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3740,
date: '2013/05/24',
}, {
id: 113,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 990,
date: '2013/05/02',
}, {
id: 114,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3190,
date: '2013/05/03',
}, {
id: 115,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2430,
date: '2013/05/11',
}, {
id: 116,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7380,
date: '2013/06/15',
}, {
id: 117,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4475,
date: '2013/06/08',
}, {
id: 118,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1290,
date: '2013/06/10',
}, {
id: 119,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2250,
date: '2013/06/10',
}, {
id: 120,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 350,
date: '2013/06/22',
}, {
id: 121,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013/06/24',
}, {
id: 122,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2355,
date: '2013/06/10',
}, {
id: 123,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1960,
date: '2013/06/23',
}, {
id: 124,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4125,
date: '2013/06/06',
}, {
id: 125,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7925,
date: '2013/06/12',
}, {
id: 126,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1120,
date: '2013/06/22',
}, {
id: 127,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5100,
date: '2013/06/01',
}, {
id: 128,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1500,
date: '2013/06/25',
}, {
id: 129,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5130,
date: '2013/06/10',
}, {
id: 130,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2475,
date: '2013/06/10',
}, {
id: 131,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2100,
date: '2013/06/06',
}, {
id: 132,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3570,
date: '2013/06/10',
}, {
id: 133,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 550,
date: '2013/06/02',
}, {
id: 134,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2850,
date: '2013/06/26',
}, {
id: 135,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4280,
date: '2013/06/19',
}, {
id: 136,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1460,
date: '2013/06/17',
}, {
id: 137,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2013/06/17',
}, {
id: 138,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1520,
date: '2013/06/03',
}, {
id: 139,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6750,
date: '2013/06/21',
}, {
id: 140,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7260,
date: '2013/07/14',
}, {
id: 141,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2450,
date: '2013/07/11',
}, {
id: 142,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3540,
date: '2013/07/02',
}, {
id: 143,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2013/07/03',
}, {
id: 144,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 360,
date: '2013/07/07',
}, {
id: 145,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013/07/03',
}, {
id: 146,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4575,
date: '2013/07/21',
}, {
id: 147,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2310,
date: '2013/07/18',
}, {
id: 148,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2013/07/04',
}, {
id: 149,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3575,
date: '2013/07/23',
}, {
id: 150,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 760,
date: '2013/07/01',
}, {
id: 151,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2400,
date: '2013/07/11',
}, {
id: 152,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 3330,
date: '2013/07/04',
}, {
id: 153,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3480,
date: '2013/07/23',
}, {
id: 154,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4875,
date: '2013/07/11',
}, {
id: 155,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4980,
date: '2013/07/19',
}, {
id: 156,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2580,
date: '2013/07/04',
}, {
id: 157,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2650,
date: '2013/07/16',
}, {
id: 158,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1190,
date: '2013/07/02',
}, {
id: 159,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 960,
date: '2013/07/26',
}, {
id: 160,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3600,
date: '2013/08/08',
}, {
id: 161,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2250,
date: '2013/08/01',
}, {
id: 162,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1275,
date: '2013/08/02',
}, {
id: 163,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3885,
date: '2013/08/14',
}, {
id: 164,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1900,
date: '2013/08/05',
}, {
id: 165,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013/08/09',
}, {
id: 166,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2895,
date: '2013/08/15',
}, {
id: 167,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 350,
date: '2013/08/20',
}, {
id: 168,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4200,
date: '2013/08/22',
}, {
id: 169,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7175,
date: '2013/08/14',
}, {
id: 170,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4420,
date: '2013/08/24',
}, {
id: 171,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5200,
date: '2013/08/21',
}, {
id: 172,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7920,
date: '2013/08/17',
}, {
id: 173,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6990,
date: '2013/08/22',
}, {
id: 174,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2125,
date: '2013/08/05',
}, {
id: 175,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2220,
date: '2013/08/16',
}, {
id: 176,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1575,
date: '2013/08/23',
}, {
id: 177,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1880,
date: '2013/08/12',
}, {
id: 178,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 710,
date: '2013/08/25',
}, {
id: 179,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2013/08/20',
}, {
id: 180,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4635,
date: '2013/08/04',
}, {
id: 181,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4350,
date: '2013/08/19',
}, {
id: 182,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013/08/02',
}, {
id: 183,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3660,
date: '2013/08/19',
}, {
id: 184,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2013/08/24',
}, {
id: 185,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4410,
date: '2013/09/12',
}, {
id: 186,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1725,
date: '2013/09/07',
}, {
id: 187,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2715,
date: '2013/09/14',
}, {
id: 188,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2820,
date: '2013/09/08',
}, {
id: 189,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2310,
date: '2013/09/12',
}, {
id: 190,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 780,
date: '2013/09/08',
}, {
id: 191,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2370,
date: '2013/09/19',
}, {
id: 192,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1410,
date: '2013/09/09',
}, {
id: 193,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1825,
date: '2013/09/23',
}, {
id: 194,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4075,
date: '2013/09/06',
}, {
id: 195,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1020,
date: '2013/09/04',
}, {
id: 196,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4320,
date: '2013/09/25',
}, {
id: 197,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7530,
date: '2013/09/13',
}, {
id: 198,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2013/09/08',
}, {
id: 199,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3050,
date: '2013/09/04',
}, {
id: 200,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5080,
date: '2013/09/25',
}, {
id: 201,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1125,
date: '2013/09/13',
}, {
id: 202,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 850,
date: '2013/09/24',
}, {
id: 203,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1440,
date: '2013/09/19',
}, {
id: 204,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2013/09/02',
}, {
id: 205,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6390,
date: '2013/10/11',
}, {
id: 206,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2013/10/02',
}, {
id: 207,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3510,
date: '2013/10/24',
}, {
id: 208,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2730,
date: '2013/10/15',
}, {
id: 209,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2070,
date: '2013/10/15',
}, {
id: 210,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013/10/18',
}, {
id: 211,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4260,
date: '2013/10/24',
}, {
id: 212,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 840,
date: '2013/10/18',
}, {
id: 213,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7300,
date: '2013/10/24',
}, {
id: 214,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5950,
date: '2013/10/11',
}, {
id: 215,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3220,
date: '2013/10/25',
}, {
id: 216,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3480,
date: '2013/10/08',
}, {
id: 217,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 4830,
date: '2013/10/26',
}, {
id: 218,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4470,
date: '2013/10/05',
}, {
id: 219,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3675,
date: '2013/10/23',
}, {
id: 220,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4260,
date: '2013/10/01',
}, {
id: 221,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4245,
date: '2013/10/26',
}, {
id: 222,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1470,
date: '2013/10/01',
}, {
id: 223,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1810,
date: '2013/10/02',
}, {
id: 224,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 600,
date: '2013/10/23',
}, {
id: 225,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7500,
date: '2013/11/03',
}, {
id: 226,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2013/11/02',
}, {
id: 227,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2013/11/09',
}, {
id: 228,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2013/11/15',
}, {
id: 229,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2420,
date: '2013/11/15',
}, {
id: 230,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013/11/15',
}, {
id: 231,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3720,
date: '2013/11/25',
}, {
id: 232,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2730,
date: '2013/11/08',
}, {
id: 233,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3775,
date: '2013/11/17',
}, {
id: 234,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3525,
date: '2013/11/15',
}, {
id: 235,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5320,
date: '2013/11/08',
}, {
id: 236,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5340,
date: '2013/11/13',
}, {
id: 237,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8850,
date: '2013/11/01',
}, {
id: 238,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7050,
date: '2013/11/14',
}, {
id: 239,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4200,
date: '2013/11/18',
}, {
id: 240,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4960,
date: '2013/11/04',
}, {
id: 241,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2280,
date: '2013/11/13',
}, {
id: 242,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 590,
date: '2013/11/11',
}, {
id: 243,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 810,
date: '2013/11/12',
}, {
id: 244,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2625,
date: '2013/11/07',
}, {
id: 245,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8280,
date: '2013/12/01',
}, {
id: 246,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5650,
date: '2013/12/19',
}, {
id: 247,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2760,
date: '2013/12/14',
}, {
id: 248,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2670,
date: '2013/12/03',
}, {
id: 249,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2520,
date: '2013/12/20',
}, {
id: 250,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013/12/21',
}, {
id: 251,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4140,
date: '2013/12/22',
}, {
id: 252,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 390,
date: '2013/12/04',
}, {
id: 253,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1400,
date: '2013/12/19',
}, {
id: 254,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7275,
date: '2013/12/22',
}, {
id: 255,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4100,
date: '2013/12/20',
}, {
id: 256,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5520,
date: '2013/12/25',
}, {
id: 257,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 9210,
date: '2013/12/24',
}, {
id: 258,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7290,
date: '2013/12/05',
}, {
id: 259,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 625,
date: '2013/12/22',
}, {
id: 260,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4460,
date: '2013/12/12',
}, {
id: 261,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3825,
date: '2013/12/13',
}, {
id: 262,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2850,
date: '2013/12/17',
}, {
id: 263,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2780,
date: '2013/12/07',
}, {
id: 264,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 840,
date: '2013/12/18',
}, {
id: 265,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2970,
date: '2013/12/23',
}, {
id: 266,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 945,
date: '2013/12/06',
}, {
id: 267,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2013/12/04',
}, {
id: 268,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2013/12/01',
}, {
id: 269,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2250,
date: '2013/12/02',
}, {
id: 270,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7710,
date: '2014/01/18',
}, {
id: 271,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7975,
date: '2014/01/10',
}, {
id: 272,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3285,
date: '2014/01/13',
}, {
id: 273,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2580,
date: '2014/01/22',
}, {
id: 274,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2160,
date: '2014/01/26',
}, {
id: 275,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014/01/25',
}, {
id: 276,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4425,
date: '2014/01/21',
}, {
id: 277,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2014/01/22',
}, {
id: 278,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3250,
date: '2014/01/14',
}, {
id: 279,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5550,
date: '2014/01/21',
}, {
id: 280,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2860,
date: '2014/01/25',
}, {
id: 281,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5320,
date: '2014/01/08',
}, {
id: 282,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 4050,
date: '2014/01/14',
}, {
id: 283,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3450,
date: '2014/01/24',
}, {
id: 284,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5425,
date: '2014/01/11',
}, {
id: 285,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4860,
date: '2014/01/12',
}, {
id: 286,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4695,
date: '2014/01/16',
}, {
id: 287,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 610,
date: '2014/01/05',
}, {
id: 288,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1580,
date: '2014/01/15',
}, {
id: 289,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3780,
date: '2014/02/18',
}, {
id: 290,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5400,
date: '2014/02/21',
}, {
id: 291,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 630,
date: '2014/02/18',
}, {
id: 292,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3960,
date: '2014/02/04',
}, {
id: 293,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2010,
date: '2014/02/25',
}, {
id: 294,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014/02/01',
}, {
id: 295,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1995,
date: '2014/02/20',
}, {
id: 296,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 860,
date: '2014/02/12',
}, {
id: 297,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2150,
date: '2014/02/10',
}, {
id: 298,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4050,
date: '2014/02/06',
}, {
id: 299,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2014/02/18',
}, {
id: 300,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1780,
date: '2014/02/26',
}, {
id: 301,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8700,
date: '2014/02/03',
}, {
id: 302,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3390,
date: '2014/02/03',
}, {
id: 303,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4425,
date: '2014/02/15',
}, {
id: 304,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1180,
date: '2014/02/23',
}, {
id: 305,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 360,
date: '2014/02/08',
}, {
id: 306,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2310,
date: '2014/02/13',
}, {
id: 307,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1770,
date: '2014/02/20',
}, {
id: 308,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3060,
date: '2014/02/26',
}, {
id: 309,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1750,
date: '2014/02/12',
}, {
id: 310,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2280,
date: '2014/03/09',
}, {
id: 311,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7600,
date: '2014/03/25',
}, {
id: 312,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1035,
date: '2014/03/23',
}, {
id: 313,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1245,
date: '2014/03/01',
}, {
id: 314,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2860,
date: '2014/03/19',
}, {
id: 315,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 440,
date: '2014/03/19',
}, {
id: 316,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4665,
date: '2014/03/02',
}, {
id: 317,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2270,
date: '2014/03/15',
}, {
id: 318,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5000,
date: '2014/03/09',
}, {
id: 319,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5100,
date: '2014/03/23',
}, {
id: 320,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2120,
date: '2014/03/11',
}, {
id: 321,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5140,
date: '2014/03/05',
}, {
id: 322,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6210,
date: '2014/03/19',
}, {
id: 323,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9510,
date: '2014/03/19',
}, {
id: 324,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7600,
date: '2014/03/21',
}, {
id: 325,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5420,
date: '2014/03/15',
}, {
id: 326,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2014/03/05',
}, {
id: 327,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1820,
date: '2014/03/07',
}, {
id: 328,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1670,
date: '2014/03/21',
}, {
id: 329,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4800,
date: '2014/03/08',
}, {
id: 330,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2925,
date: '2014/03/03',
}, {
id: 331,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2940,
date: '2014/04/11',
}, {
id: 332,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3525,
date: '2014/04/13',
}, {
id: 333,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2475,
date: '2014/04/22',
}, {
id: 334,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3315,
date: '2014/04/08',
}, {
id: 335,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2014/04/07',
}, {
id: 336,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014/04/01',
}, {
id: 337,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1200,
date: '2014/04/10',
}, {
id: 338,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2060,
date: '2014/04/21',
}, {
id: 339,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7875,
date: '2014/04/02',
}, {
id: 340,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1450,
date: '2014/04/07',
}, {
id: 341,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2640,
date: '2014/04/22',
}, {
id: 342,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1960,
date: '2014/04/16',
}, {
id: 343,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2250,
date: '2014/04/23',
}, {
id: 344,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4500,
date: '2014/04/05',
}, {
id: 345,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5050,
date: '2014/04/11',
}, {
id: 346,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2940,
date: '2014/04/02',
}, {
id: 347,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2880,
date: '2014/04/14',
}, {
id: 348,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1050,
date: '2014/04/19',
}, {
id: 349,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1850,
date: '2014/04/02',
}, {
id: 350,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3160,
date: '2014/04/01',
}, {
id: 351,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2014/04/04',
}, {
id: 352,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3200,
date: '2014/04/08',
}, {
id: 353,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1380,
date: '2014/04/21',
}, {
id: 354,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3060,
date: '2014/04/06',
}, {
id: 355,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6690,
date: '2014/05/19',
}, {
id: 356,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2014/05/15',
}, {
id: 357,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4665,
date: '2014/05/10',
}, {
id: 358,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4530,
date: '2014/05/18',
}, {
id: 359,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1330,
date: '2014/05/08',
}, {
id: 360,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014/05/20',
}, {
id: 361,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3750,
date: '2014/05/16',
}, {
id: 362,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1290,
date: '2014/05/10',
}, {
id: 363,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4925,
date: '2014/05/14',
}, {
id: 364,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4300,
date: '2014/05/22',
}, {
id: 365,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5740,
date: '2014/05/08',
}, {
id: 366,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3760,
date: '2014/05/18',
}, {
id: 367,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7920,
date: '2014/05/22',
}, {
id: 368,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1440,
date: '2014/05/21',
}, {
id: 369,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5975,
date: '2014/05/25',
}, {
id: 370,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4440,
date: '2014/05/05',
}, {
id: 371,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2310,
date: '2014/05/24',
}, {
id: 372,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2250,
date: '2014/05/06',
}, {
id: 373,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2320,
date: '2014/05/14',
}, {
id: 374,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8370,
date: '2014/05/06',
}, {
id: 375,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5190,
date: '2014/06/26',
}, {
id: 376,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 925,
date: '2014/06/04',
}, {
id: 377,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2014/06/20',
}, {
id: 378,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3180,
date: '2014/06/23',
}, {
id: 379,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 780,
date: '2014/06/13',
}, {
id: 380,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014/06/08',
}, {
id: 381,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2475,
date: '2014/06/25',
}, {
id: 382,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1920,
date: '2014/06/20',
}, {
id: 383,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2014/06/25',
}, {
id: 384,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2014/06/26',
}, {
id: 385,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2400,
date: '2014/06/08',
}, {
id: 386,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1720,
date: '2014/06/09',
}, {
id: 387,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2880,
date: '2014/06/21',
}, {
id: 388,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5430,
date: '2014/06/03',
}, {
id: 389,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4475,
date: '2014/06/19',
}, {
id: 390,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1420,
date: '2014/06/20',
}, {
id: 391,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2670,
date: '2014/06/25',
}, {
id: 392,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2014/06/02',
}, {
id: 393,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 580,
date: '2014/06/25',
}, {
id: 394,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1620,
date: '2014/06/12',
}, {
id: 395,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4530,
date: '2014/06/02',
}, {
id: 396,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6025,
date: '2014/06/23',
}, {
id: 397,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3540,
date: '2014/07/21',
}, {
id: 398,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3000,
date: '2014/07/01',
}, {
id: 399,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2014/07/26',
}, {
id: 400,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2265,
date: '2014/07/22',
}, {
id: 401,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 400,
date: '2014/07/09',
}, {
id: 402,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014/07/08',
}, {
id: 403,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1620,
date: '2014/07/18',
}, {
id: 404,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2400,
date: '2014/07/25',
}, {
id: 405,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5275,
date: '2014/07/04',
}, {
id: 406,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4475,
date: '2014/07/03',
}, {
id: 407,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3980,
date: '2014/07/21',
}, {
id: 408,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5240,
date: '2014/07/11',
}, {
id: 409,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1200,
date: '2014/07/21',
}, {
id: 410,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5700,
date: '2014/07/18',
}, {
id: 411,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5575,
date: '2014/07/01',
}, {
id: 412,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2160,
date: '2014/07/02',
}, {
id: 413,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 960,
date: '2014/07/09',
}, {
id: 414,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1280,
date: '2014/07/04',
}, {
id: 415,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1040,
date: '2014/07/02',
}, {
id: 416,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5520,
date: '2014/07/21',
}, {
id: 417,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1760,
date: '2014/07/25',
}, {
id: 418,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4080,
date: '2014/07/07',
}, {
id: 419,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1000,
date: '2014/07/21',
}, {
id: 420,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 3270,
date: '2014/07/12',
}, {
id: 421,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1770,
date: '2014/08/23',
}, {
id: 422,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2700,
date: '2014/08/09',
}, {
id: 423,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2175,
date: '2014/08/03',
}, {
id: 424,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3375,
date: '2014/08/11',
}, {
id: 425,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2040,
date: '2014/08/01',
}, {
id: 426,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014/08/21',
}, {
id: 427,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3900,
date: '2014/08/16',
}, {
id: 428,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1370,
date: '2014/08/20',
}, {
id: 429,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5700,
date: '2014/08/01',
}, {
id: 430,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1275,
date: '2014/08/22',
}, {
id: 431,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4060,
date: '2014/08/13',
}, {
id: 432,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2320,
date: '2014/08/18',
}, {
id: 433,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7590,
date: '2014/08/24',
}, {
id: 434,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4560,
date: '2014/08/20',
}, {
id: 435,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7575,
date: '2014/08/20',
}, {
id: 436,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 700,
date: '2014/08/25',
}, {
id: 437,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2014/08/16',
}, {
id: 438,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1390,
date: '2014/08/15',
}, {
id: 439,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1320,
date: '2014/08/09',
}, {
id: 440,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1680,
date: '2014/08/09',
}, {
id: 441,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1500,
date: '2014/08/11',
}, {
id: 442,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6150,
date: '2014/09/21',
}, {
id: 443,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3675,
date: '2014/09/02',
}, {
id: 444,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2250,
date: '2014/09/05',
}, {
id: 445,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3585,
date: '2014/09/10',
}, {
id: 446,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1470,
date: '2014/09/01',
}, {
id: 447,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014/09/02',
}, {
id: 448,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3765,
date: '2014/09/03',
}, {
id: 449,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1640,
date: '2014/09/04',
}, {
id: 450,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4475,
date: '2014/09/09',
}, {
id: 451,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5975,
date: '2014/09/04',
}, {
id: 452,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1100,
date: '2014/09/16',
}, {
id: 453,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1320,
date: '2014/09/18',
}, {
id: 454,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8610,
date: '2014/09/19',
}, {
id: 455,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2014/09/09',
}, {
id: 456,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2014/09/01',
}, {
id: 457,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3620,
date: '2014/09/19',
}, {
id: 458,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4275,
date: '2014/09/01',
}, {
id: 459,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2370,
date: '2014/09/03',
}, {
id: 460,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1870,
date: '2014/09/10',
}, {
id: 461,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2070,
date: '2014/09/25',
}, {
id: 462,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2014/09/19',
}, {
id: 463,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1080,
date: '2014/10/15',
}, {
id: 464,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1400,
date: '2014/10/22',
}, {
id: 465,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4260,
date: '2014/10/01',
}, {
id: 466,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2745,
date: '2014/10/01',
}, {
id: 467,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2920,
date: '2014/10/23',
}, {
id: 468,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014/10/11',
}, {
id: 469,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4035,
date: '2014/10/20',
}, {
id: 470,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1730,
date: '2014/10/05',
}, {
id: 471,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 975,
date: '2014/10/06',
}, {
id: 472,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5700,
date: '2014/10/06',
}, {
id: 473,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5080,
date: '2014/10/18',
}, {
id: 474,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2940,
date: '2014/10/24',
}, {
id: 475,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2670,
date: '2014/10/04',
}, {
id: 476,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1230,
date: '2014/10/11',
}, {
id: 477,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 600,
date: '2014/10/08',
}, {
id: 478,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3700,
date: '2014/10/08',
}, {
id: 479,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3375,
date: '2014/10/11',
}, {
id: 480,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1500,
date: '2014/10/17',
}, {
id: 481,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 370,
date: '2014/10/05',
}, {
id: 482,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2340,
date: '2014/10/16',
}, {
id: 483,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1080,
date: '2014/10/08',
}, {
id: 484,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2775,
date: '2014/10/21',
}, {
id: 485,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4380,
date: '2014/11/09',
}, {
id: 486,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5500,
date: '2014/11/21',
}, {
id: 487,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1920,
date: '2014/11/24',
}, {
id: 488,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 765,
date: '2014/11/24',
}, {
id: 489,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 370,
date: '2014/11/18',
}, {
id: 490,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014/11/25',
}, {
id: 491,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 825,
date: '2014/11/09',
}, {
id: 492,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 490,
date: '2014/11/23',
}, {
id: 493,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7075,
date: '2014/11/20',
}, {
id: 494,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1350,
date: '2014/11/25',
}, {
id: 495,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1440,
date: '2014/11/15',
}, {
id: 496,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2820,
date: '2014/11/13',
}, {
id: 497,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2280,
date: '2014/11/12',
}, {
id: 498,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2014/11/03',
}, {
id: 499,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1150,
date: '2014/11/23',
}, {
id: 500,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2040,
date: '2014/11/20',
}, {
id: 501,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2014/11/24',
}, {
id: 502,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1940,
date: '2014/11/24',
}, {
id: 503,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 3090,
date: '2014/11/16',
}, {
id: 504,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4900,
date: '2014/11/05',
}, {
id: 505,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3465,
date: '2014/11/07',
}, {
id: 506,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2014/11/20',
}, {
id: 507,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1650,
date: '2014/11/02',
}, {
id: 508,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5280,
date: '2014/12/04',
}, {
id: 509,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3075,
date: '2014/12/02',
}, {
id: 510,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 690,
date: '2014/12/07',
}, {
id: 511,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1305,
date: '2014/12/15',
}, {
id: 512,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1970,
date: '2014/12/01',
}, {
id: 513,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014/12/18',
}, {
id: 514,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1920,
date: '2014/12/22',
}, {
id: 515,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2014/12/12',
}, {
id: 516,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2525,
date: '2014/12/06',
}, {
id: 517,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5575,
date: '2014/12/20',
}, {
id: 518,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5560,
date: '2014/12/10',
}, {
id: 519,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4880,
date: '2014/12/13',
}, {
id: 520,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8850,
date: '2014/12/03',
}, {
id: 521,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2014/12/10',
}, {
id: 522,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4000,
date: '2014/12/12',
}, {
id: 523,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5820,
date: '2014/12/02',
}, {
id: 524,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1275,
date: '2014/12/12',
}, {
id: 525,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1310,
date: '2014/12/01',
}, {
id: 526,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2180,
date: '2014/12/26',
}, {
id: 527,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4470,
date: '2014/12/17',
}, {
id: 528,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2990,
date: '2014/12/15',
}, {
id: 529,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7650,
date: '2014/12/18',
}, {
id: 530,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 780,
date: '2014/12/02',
}, {
id: 531,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2970,
date: '2014/12/13',
}, {
id: 532,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1155,
date: '2014/12/05',
}, {
id: 533,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4470,
date: '2015/01/10',
}, {
id: 534,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1125,
date: '2015/01/21',
}, {
id: 535,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 645,
date: '2015/01/17',
}, {
id: 536,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 675,
date: '2015/01/05',
}, {
id: 537,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2840,
date: '2015/01/05',
}, {
id: 538,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015/01/04',
}, {
id: 539,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4560,
date: '2015/01/12',
}, {
id: 540,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2880,
date: '2015/01/20',
}, {
id: 541,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 500,
date: '2015/01/02',
}, {
id: 542,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3925,
date: '2015/01/07',
}, {
id: 543,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5660,
date: '2015/01/18',
}, {
id: 544,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1460,
date: '2015/01/22',
}, {
id: 545,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5040,
date: '2015/01/10',
}, {
id: 546,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4830,
date: '2015/01/13',
}, {
id: 547,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3075,
date: '2015/01/22',
}, {
id: 548,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3120,
date: '2015/01/14',
}, {
id: 549,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3525,
date: '2015/01/23',
}, {
id: 550,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2015/01/09',
}, {
id: 551,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2890,
date: '2015/01/02',
}, {
id: 552,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1545,
date: '2015/01/17',
}, {
id: 553,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3630,
date: '2015/01/20',
}, {
id: 554,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4035,
date: '2015/01/14',
}, {
id: 555,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 345,
date: '2015/01/06',
}, {
id: 556,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7000,
date: '2015/01/07',
}, {
id: 557,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3060,
date: '2015/02/13',
}, {
id: 558,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 6425,
date: '2015/02/04',
}, {
id: 559,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 615,
date: '2015/02/22',
}, {
id: 560,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1755,
date: '2015/02/07',
}, {
id: 561,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1540,
date: '2015/02/21',
}, {
id: 562,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015/02/24',
}, {
id: 563,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4305,
date: '2015/02/10',
}, {
id: 564,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1520,
date: '2015/02/26',
}, {
id: 565,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4725,
date: '2015/02/18',
}, {
id: 566,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6750,
date: '2015/02/16',
}, {
id: 567,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5540,
date: '2015/02/07',
}, {
id: 568,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1880,
date: '2015/02/24',
}, {
id: 569,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6180,
date: '2015/02/26',
}, {
id: 570,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9300,
date: '2015/02/03',
}, {
id: 571,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2015/02/26',
}, {
id: 572,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 740,
date: '2015/02/01',
}, {
id: 573,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4755,
date: '2015/02/23',
}, {
id: 574,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2570,
date: '2015/02/20',
}, {
id: 575,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2860,
date: '2015/02/19',
}, {
id: 576,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5430,
date: '2015/03/21',
}, {
id: 577,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2015/03/21',
}, {
id: 578,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1515,
date: '2015/03/10',
}, {
id: 579,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 630,
date: '2015/03/15',
}, {
id: 580,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1310,
date: '2015/03/01',
}, {
id: 581,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015/03/17',
}, {
id: 582,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3945,
date: '2015/03/20',
}, {
id: 583,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2990,
date: '2015/03/18',
}, {
id: 584,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1125,
date: '2015/03/22',
}, {
id: 585,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7950,
date: '2015/03/17',
}, {
id: 586,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2015/03/25',
}, {
id: 587,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 6300,
date: '2015/03/20',
}, {
id: 588,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8670,
date: '2015/03/07',
}, {
id: 589,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3930,
date: '2015/03/23',
}, {
id: 590,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6975,
date: '2015/03/02',
}, {
id: 591,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4220,
date: '2015/03/17',
}, {
id: 592,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2015/03/25',
}, {
id: 593,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2380,
date: '2015/03/01',
}, {
id: 594,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1510,
date: '2015/03/07',
}, {
id: 595,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1020,
date: '2015/03/19',
}, {
id: 596,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6700,
date: '2015/03/26',
}, {
id: 597,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4890,
date: '2015/04/02',
}, {
id: 598,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7225,
date: '2015/04/13',
}, {
id: 599,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 795,
date: '2015/04/07',
}, {
id: 600,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1785,
date: '2015/04/03',
}, {
id: 601,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1850,
date: '2015/04/03',
}, {
id: 602,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015/04/12',
}, {
id: 603,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 615,
date: '2015/04/07',
}, {
id: 604,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2860,
date: '2015/04/05',
}, {
id: 605,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1525,
date: '2015/04/24',
}, {
id: 606,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7425,
date: '2015/04/15',
}, {
id: 607,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 6080,
date: '2015/04/13',
}, {
id: 608,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2940,
date: '2015/04/04',
}, {
id: 609,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5580,
date: '2015/04/16',
}, {
id: 610,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9390,
date: '2015/04/19',
}, {
id: 611,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3200,
date: '2015/04/26',
}, {
id: 612,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4380,
date: '2015/04/05',
}, {
id: 613,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4725,
date: '2015/04/06',
}, {
id: 614,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 930,
date: '2015/04/25',
}, {
id: 615,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1910,
date: '2015/04/05',
}, {
id: 616,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2725,
date: '2015/04/16',
}, {
id: 617,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4720,
date: '2015/04/02',
}, {
id: 618,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5190,
date: '2015/04/10',
}, {
id: 619,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2800,
date: '2015/04/26',
}, {
id: 620,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3780,
date: '2015/04/24',
}, {
id: 621,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2340,
date: '2015/04/17',
}, {
id: 622,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4830,
date: '2015/05/12',
}, {
id: 623,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2075,
date: '2015/05/23',
}, {
id: 624,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3420,
date: '2015/05/21',
}, {
id: 625,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2015/05/10',
}, {
id: 626,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1680,
date: '2015/05/15',
}, {
id: 627,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015/05/16',
}, {
id: 628,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4695,
date: '2015/05/10',
}, {
id: 629,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2380,
date: '2015/05/06',
}, {
id: 630,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1875,
date: '2015/05/25',
}, {
id: 631,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7550,
date: '2015/05/14',
}, {
id: 632,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3340,
date: '2015/05/01',
}, {
id: 633,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1400,
date: '2015/05/22',
}, {
id: 634,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6060,
date: '2015/05/22',
}, {
id: 635,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8370,
date: '2015/05/13',
}, {
id: 636,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3550,
date: '2015/05/26',
}, {
id: 637,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2620,
date: '2015/05/17',
}, {
id: 638,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2015/05/21',
}, {
id: 639,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1740,
date: '2015/05/21',
}, {
id: 640,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 500,
date: '2015/05/26',
}, {
id: 641,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 780,
date: '2015/05/07',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
'exceljs': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'exceljs': 'npm:exceljs@3.10.0/dist/exceljs.min.js',
'file-saver-es': 'npm:file-saver-es@2.0.5/dist/FileSaver.min.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.5/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.42/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

Your search did not match any results.
Pivot Grid

Header and Footer

The PivotGrid allows you to customize a header and a footer in the exported Excel file. The ExcelJS library allows you to customize worksheets outside of exported cell regions. This, in turns, allows you to add a header (a title before exported data) and a footer (a note after exported data). Follow the steps below to configure a header/footer:

  1. Set the export.enabled property to true.

  2. In the onExporting event handler, call the exportPivotGrid(options) method.

  3. Enable one or multiple options to export headers of the fields in the field panel:

  4. Execute a promise after the exportPivotGrid(options) method. In this promise, specify the position, appearance, and content of the header/footer. The functions used to generate header and footer sections utilize the following PivotGrid customization features:

www.wikipedia.org
Backend API
Copy to CodeSandBox
Apply
Reset
<div class="long-title"><h3>Sales Amount by Region</h3></div> <dx-pivot-grid [allowSortingBySummary]="true" [allowSorting]="true" [allowFiltering]="true" [allowExpandAll]="true" [height]="440" [showBorders]="true" [dataSource]="dataSource" (onExporting)="onExporting($event)" > <dxo-field-panel [showDataFields]="true" [showRowFields]="true" [showColumnFields]="true" [showFilterFields]="true" [allowFieldDragging]="true" [visible]="true" > </dxo-field-panel> <dxo-field-chooser [enabled]="false"></dxo-field-chooser> <dxo-export [enabled]="true"></dxo-export> </dx-pivot-grid> <div class="export-options"> <div class="caption">Export Options</div> <div class="options"> <dx-check-box text="Export Data Field Headers" [(value)]="exportDataFieldHeaders" ></dx-check-box> <dx-check-box text="Export Row Field Headers" [(value)]="exportRowFieldHeaders" ></dx-check-box> <dx-check-box text="Export Column Field Headers" [(value)]="exportColumnFieldHeaders" ></dx-check-box> <dx-check-box text="Export Filter Field Headers" [(value)]="exportFilterFieldHeaders" ></dx-check-box> </div> </div>
import { NgModule, Component, enableProdMode } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { DxPivotGridModule, DxCheckBoxModule } from 'devextreme-angular'; import { Workbook, WorksheetViewFrozen } from 'exceljs'; import { saveAs } from 'file-saver-es'; // Our demo infrastructure requires us to use 'file-saver-es'. We recommend that you use the official 'file-saver' package in your applications. import { exportPivotGrid } from 'devextreme/excel_exporter'; import { Service, Sale } from './app.service'; if (!/localhost/.test(document.location.host)) { enableProdMode(); } @Component({ selector: 'demo-app', templateUrl: 'app/app.component.html', styleUrls: ['app/app.component.css'], providers: [Service], preserveWhitespaces: true, }) export class AppComponent { sales: Sale[]; dataSource: any; exportDataFieldHeaders = false; exportRowFieldHeaders = false; exportColumnFieldHeaders = false; exportFilterFieldHeaders = false; constructor(service: Service) { this.dataSource = { fields: [{ caption: 'Region', width: 120, dataField: 'region', area: 'row', expanded: true, }, { caption: 'City', dataField: 'city', width: 150, area: 'row', }, { dataField: 'date', dataType: 'date', area: 'column', filterValues: [[2013], [2014], [2015]], expanded: false, }, { caption: 'Sales', dataField: 'amount', dataType: 'number', summaryType: 'sum', format: 'currency', area: 'data', }, { caption: 'Country', dataField: 'country', area: 'filter', }], store: service.getSales(), }; } onExporting(e) { const workbook = new Workbook(); const worksheet = workbook.addWorksheet('Sales'); worksheet.columns = [ { width: 30 }, { width: 20 }, { width: 30 }, { width: 30 }, { width: 30 }, { width: 30 }, ]; exportPivotGrid({ component: e.component, worksheet, topLeftCell: { row: 4, column: 1 }, keepColumnWidths: false, exportDataFieldHeaders: this.exportDataFieldHeaders, exportRowFieldHeaders: this.exportRowFieldHeaders, exportColumnFieldHeaders: this.exportColumnFieldHeaders, exportFilterFieldHeaders: this.exportFilterFieldHeaders, }).then((cellRange) => { // Header const headerRow = worksheet.getRow(2); headerRow.height = 30; const columnFromIndex = (worksheet.views[0] as WorksheetViewFrozen).xSplit + 1; const columnToIndex = columnFromIndex + 3; worksheet.mergeCells(2, columnFromIndex, 2, columnToIndex); const headerCell = headerRow.getCell(columnFromIndex); headerCell.value = 'Sales Amount by Region'; headerCell.font = { name: 'Segoe UI Light', size: 22, bold: true }; headerCell.alignment = { horizontal: 'left', vertical: 'middle', wrapText: true }; // Footer const footerRowIndex = cellRange.to.row + 2; const footerCell = worksheet.getRow(footerRowIndex).getCell(cellRange.to.column); footerCell.value = 'www.wikipedia.org'; footerCell.font = { color: { argb: 'BFBFBF' }, italic: true }; footerCell.alignment = { horizontal: 'right' }; }).then(() => { workbook.xlsx.writeBuffer().then((buffer) => { saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'Sales.xlsx'); }); }); e.cancel = true; } } @NgModule({ imports: [ BrowserModule, DxPivotGridModule, DxCheckBoxModule, ], declarations: [AppComponent], bootstrap: [AppComponent], }) export class AppModule { } platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .long-title h3 { font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana; font-weight: 200; font-size: 28px; text-align: center; margin-bottom: 20px; } ::ng-deep .export-options { padding: 20px; margin-top: 20px; background-color: rgba(191, 191, 191, 0.15); } ::ng-deep .caption { font-size: 18px; font-weight: 500; } ::ng-deep .options { display: grid; grid-template-columns: repeat(1, 1fr); gap: 12px; margin-top: 10px; } @media (min-width: 500px) { .options { grid-template-columns: 250px 1fr; } } @media (min-width: 1000px) { .options { grid-template-columns: repeat(4, 1fr); } }
import { Injectable } from '@angular/core'; export class Sale { id: number; region: string; country: string; city: string; amount: number; date: string; } const sales: Sale[] = [{ id: 1, region: 'North America', country: 'USA', city: 'New York', amount: 1740, date: '2013/01/06', }, { id: 2, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 850, date: '2013/01/13', }, { id: 3, region: 'North America', country: 'USA', city: 'Denver', amount: 2235, date: '2013/01/07', }, { id: 4, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1965, date: '2013/01/03', }, { id: 5, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 880, date: '2013/01/10', }, { id: 6, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 5260, date: '2013/01/17', }, { id: 7, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 2790, date: '2013/01/21', }, { id: 8, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 3140, date: '2013/01/01', }, { id: 9, region: 'Europe', country: 'GBR', city: 'London', amount: 6175, date: '2013/01/24', }, { id: 10, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 4575, date: '2013/01/11', }, { id: 11, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 3680, date: '2013/01/12', }, { id: 12, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2260, date: '2013/01/01', }, { id: 13, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 2910, date: '2013/01/26', }, { id: 14, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 8400, date: '2013/01/05', }, { id: 15, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 1325, date: '2013/01/14', }, { id: 16, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 3920, date: '2013/01/05', }, { id: 17, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2220, date: '2013/01/15', }, { id: 18, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 940, date: '2013/01/01', }, { id: 19, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1630, date: '2013/01/10', }, { id: 20, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2910, date: '2013/01/23', }, { id: 21, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 2600, date: '2013/01/14', }, { id: 22, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 4340, date: '2013/01/26', }, { id: 23, region: 'Europe', country: 'GBR', city: 'London', amount: 6650, date: '2013/01/24', }, { id: 24, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 490, date: '2013/01/22', }, { id: 25, region: 'North America', country: 'USA', city: 'New York', amount: 3390, date: '2013/01/25', }, { id: 26, region: 'North America', country: 'USA', city: 'New York', amount: 5160, date: '2013/02/20', }, { id: 27, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 5750, date: '2013/02/12', }, { id: 28, region: 'North America', country: 'USA', city: 'Denver', amount: 2805, date: '2013/02/13', }, { id: 29, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2505, date: '2013/02/09', }, { id: 30, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 930, date: '2013/02/04', }, { id: 31, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 1240, date: '2013/02/03', }, { id: 32, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 315, date: '2013/02/04', }, { id: 33, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2870, date: '2013/02/18', }, { id: 34, region: 'Europe', country: 'GBR', city: 'London', amount: 5150, date: '2013/02/18', }, { id: 35, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 2725, date: '2013/02/20', }, { id: 36, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2840, date: '2013/02/04', }, { id: 37, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5840, date: '2013/02/13', }, { id: 38, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 6750, date: '2013/02/11', }, { id: 39, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1200, date: '2013/02/03', }, { id: 40, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4550, date: '2013/02/08', }, { id: 41, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 6040, date: '2013/02/17', }, { id: 42, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2205, date: '2013/02/08', }, { id: 43, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 990, date: '2013/02/20', }, { id: 44, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 700, date: '2013/02/11', }, { id: 45, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2325, date: '2013/02/15', }, { id: 46, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 930, date: '2013/02/21', }, { id: 47, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1560, date: '2013/02/04', }, { id: 48, region: 'North America', country: 'USA', city: 'New York', amount: 1740, date: '2013/03/04', }, { id: 49, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 3575, date: '2013/03/20', }, { id: 50, region: 'North America', country: 'USA', city: 'Denver', amount: 4500, date: '2013/03/04', }, { id: 51, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1605, date: '2013/03/17', }, { id: 52, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 800, date: '2013/03/21', }, { id: 53, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 640, date: '2013/03/08', }, { id: 54, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 735, date: '2013/03/19', }, { id: 55, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2520, date: '2013/03/20', }, { id: 56, region: 'Europe', country: 'GBR', city: 'London', amount: 6675, date: '2013/03/18', }, { id: 57, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 3625, date: '2013/03/25', }, { id: 58, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 1200, date: '2013/03/07', }, { id: 59, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2000, date: '2013/03/07', }, { id: 60, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 1410, date: '2013/03/10', }, { id: 61, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 2700, date: '2013/03/19', }, { id: 62, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 5950, date: '2013/03/24', }, { id: 63, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 5120, date: '2013/03/08', }, { id: 64, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1980, date: '2013/03/17', }, { id: 65, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1110, date: '2013/03/08', }, { id: 66, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 980, date: '2013/03/21', }, { id: 67, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 5460, date: '2013/03/19', }, { id: 68, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 3800, date: '2013/03/12', }, { id: 69, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2610, date: '2013/03/04', }, { id: 70, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 3080, date: '2013/03/22', }, { id: 71, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 2010, date: '2013/03/23', }, { id: 72, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 1200, date: '2013/03/04', }, { id: 73, region: 'North America', country: 'USA', city: 'New York', amount: 7680, date: '2013/04/15', }, { id: 74, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 1325, date: '2013/04/07', }, { id: 75, region: 'North America', country: 'USA', city: 'Denver', amount: 2835, date: '2013/04/10', }, { id: 76, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3660, date: '2013/04/10', }, { id: 77, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 390, date: '2013/04/12', }, { id: 78, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 4420, date: '2013/04/08', }, { id: 79, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1755, date: '2013/04/13', }, { id: 80, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2580, date: '2013/04/15', }, { id: 81, region: 'Europe', country: 'GBR', city: 'London', amount: 850, date: '2013/04/01', }, { id: 82, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 2825, date: '2013/04/10', }, { id: 83, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 540, date: '2013/04/06', }, { id: 84, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1520, date: '2013/04/08', }, { id: 85, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8760, date: '2013/04/26', }, { id: 86, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1110, date: '2013/04/16', }, { id: 87, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 6850, date: '2013/04/19', }, { id: 88, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 1940, date: '2013/04/23', }, { id: 89, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1980, date: '2013/04/21', }, { id: 90, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 3090, date: '2013/04/03', }, { id: 91, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1640, date: '2013/04/24', }, { id: 92, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3585, date: '2013/04/01', }, { id: 93, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1770, date: '2013/04/01', }, { id: 94, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4005, date: '2013/04/04', }, { id: 95, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2870, date: '2013/04/02', }, { id: 96, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 960, date: '2013/04/20', }, { id: 97, region: 'North America', country: 'USA', city: 'New York', amount: 8640, date: '2013/05/14', }, { id: 98, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 5450, date: '2013/05/24', }, { id: 99, region: 'North America', country: 'USA', city: 'Denver', amount: 2535, date: '2013/05/07', }, { id: 100, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1155, date: '2013/05/20', }, { id: 101, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 3140, date: '2013/05/18', }, { id: 102, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2260, date: '2013/05/19', }, { id: 103, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1215, date: '2013/05/23', }, { id: 104, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1210, date: '2013/05/08', }, { id: 105, region: 'Europe', country: 'GBR', city: 'London', amount: 875, date: '2013/05/25', }, { id: 106, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5400, date: '2013/05/03', }, { id: 107, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5940, date: '2013/05/25', }, { id: 108, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 4700, date: '2013/05/03', }, { id: 109, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 5520, date: '2013/05/12', }, { id: 110, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 9210, date: '2013/05/22', }, { id: 111, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 7950, date: '2013/05/12', }, { id: 112, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 3740, date: '2013/05/24', }, { id: 113, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 990, date: '2013/05/02', }, { id: 114, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 3190, date: '2013/05/03', }, { id: 115, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2430, date: '2013/05/11', }, { id: 116, region: 'North America', country: 'USA', city: 'New York', amount: 7380, date: '2013/06/15', }, { id: 117, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 4475, date: '2013/06/08', }, { id: 118, region: 'North America', country: 'USA', city: 'Denver', amount: 1290, date: '2013/06/10', }, { id: 119, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2250, date: '2013/06/10', }, { id: 120, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 350, date: '2013/06/22', }, { id: 121, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 5480, date: '2013/06/24', }, { id: 122, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 2355, date: '2013/06/10', }, { id: 123, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1960, date: '2013/06/23', }, { id: 124, region: 'Europe', country: 'GBR', city: 'London', amount: 4125, date: '2013/06/06', }, { id: 125, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 7925, date: '2013/06/12', }, { id: 126, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 1120, date: '2013/06/22', }, { id: 127, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5100, date: '2013/06/01', }, { id: 128, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 1500, date: '2013/06/25', }, { id: 129, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 5130, date: '2013/06/10', }, { id: 130, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 2475, date: '2013/06/10', }, { id: 131, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 2100, date: '2013/06/06', }, { id: 132, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3570, date: '2013/06/10', }, { id: 133, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 550, date: '2013/06/02', }, { id: 134, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2850, date: '2013/06/26', }, { id: 135, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 4280, date: '2013/06/19', }, { id: 136, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 1460, date: '2013/06/17', }, { id: 137, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 960, date: '2013/06/17', }, { id: 138, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1520, date: '2013/06/03', }, { id: 139, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 6750, date: '2013/06/21', }, { id: 140, region: 'North America', country: 'USA', city: 'New York', amount: 7260, date: '2013/07/14', }, { id: 141, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 2450, date: '2013/07/11', }, { id: 142, region: 'North America', country: 'USA', city: 'Denver', amount: 3540, date: '2013/07/02', }, { id: 143, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1950, date: '2013/07/03', }, { id: 144, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 360, date: '2013/07/07', }, { id: 145, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 4500, date: '2013/07/03', }, { id: 146, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4575, date: '2013/07/21', }, { id: 147, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2310, date: '2013/07/18', }, { id: 148, region: 'Europe', country: 'GBR', city: 'London', amount: 7500, date: '2013/07/04', }, { id: 149, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 3575, date: '2013/07/23', }, { id: 150, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 760, date: '2013/07/01', }, { id: 151, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2400, date: '2013/07/11', }, { id: 152, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 3330, date: '2013/07/04', }, { id: 153, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 3480, date: '2013/07/23', }, { id: 154, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4875, date: '2013/07/11', }, { id: 155, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4980, date: '2013/07/19', }, { id: 156, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2580, date: '2013/07/04', }, { id: 157, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2650, date: '2013/07/16', }, { id: 158, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1190, date: '2013/07/02', }, { id: 159, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 960, date: '2013/07/26', }, { id: 160, region: 'North America', country: 'USA', city: 'New York', amount: 3600, date: '2013/08/08', }, { id: 161, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 2250, date: '2013/08/01', }, { id: 162, region: 'North America', country: 'USA', city: 'Denver', amount: 1275, date: '2013/08/02', }, { id: 163, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3885, date: '2013/08/14', }, { id: 164, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1900, date: '2013/08/05', }, { id: 165, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2300, date: '2013/08/09', }, { id: 166, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 2895, date: '2013/08/15', }, { id: 167, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 350, date: '2013/08/20', }, { id: 168, region: 'Europe', country: 'GBR', city: 'London', amount: 4200, date: '2013/08/22', }, { id: 169, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 7175, date: '2013/08/14', }, { id: 170, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 4420, date: '2013/08/24', }, { id: 171, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5200, date: '2013/08/21', }, { id: 172, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 7920, date: '2013/08/17', }, { id: 173, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 6990, date: '2013/08/22', }, { id: 174, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 2125, date: '2013/08/05', }, { id: 175, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 2220, date: '2013/08/16', }, { id: 176, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1575, date: '2013/08/23', }, { id: 177, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1880, date: '2013/08/12', }, { id: 178, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 710, date: '2013/08/25', }, { id: 179, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 390, date: '2013/08/20', }, { id: 180, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4635, date: '2013/08/04', }, { id: 181, region: 'North America', country: 'USA', city: 'Denver', amount: 4350, date: '2013/08/19', }, { id: 182, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 6020, date: '2013/08/02', }, { id: 183, region: 'North America', country: 'USA', city: 'New York', amount: 3660, date: '2013/08/19', }, { id: 184, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 4525, date: '2013/08/24', }, { id: 185, region: 'North America', country: 'USA', city: 'New York', amount: 4410, date: '2013/09/12', }, { id: 186, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 1725, date: '2013/09/07', }, { id: 187, region: 'North America', country: 'USA', city: 'Denver', amount: 2715, date: '2013/09/14', }, { id: 188, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2820, date: '2013/09/08', }, { id: 189, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2310, date: '2013/09/12', }, { id: 190, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 780, date: '2013/09/08', }, { id: 191, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 2370, date: '2013/09/19', }, { id: 192, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1410, date: '2013/09/09', }, { id: 193, region: 'Europe', country: 'GBR', city: 'London', amount: 1825, date: '2013/09/23', }, { id: 194, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 4075, date: '2013/09/06', }, { id: 195, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 1020, date: '2013/09/04', }, { id: 196, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 4320, date: '2013/09/25', }, { id: 197, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 7530, date: '2013/09/13', }, { id: 198, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 2820, date: '2013/09/08', }, { id: 199, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3050, date: '2013/09/04', }, { id: 200, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 5080, date: '2013/09/25', }, { id: 201, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1125, date: '2013/09/13', }, { id: 202, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 850, date: '2013/09/24', }, { id: 203, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1440, date: '2013/09/19', }, { id: 204, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1950, date: '2013/09/02', }, { id: 205, region: 'North America', country: 'USA', city: 'New York', amount: 6390, date: '2013/10/11', }, { id: 206, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 4625, date: '2013/10/02', }, { id: 207, region: 'North America', country: 'USA', city: 'Denver', amount: 3510, date: '2013/10/24', }, { id: 208, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2730, date: '2013/10/15', }, { id: 209, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2070, date: '2013/10/15', }, { id: 210, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2320, date: '2013/10/18', }, { id: 211, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4260, date: '2013/10/24', }, { id: 212, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 840, date: '2013/10/18', }, { id: 213, region: 'Europe', country: 'GBR', city: 'London', amount: 7300, date: '2013/10/24', }, { id: 214, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5950, date: '2013/10/11', }, { id: 215, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 3220, date: '2013/10/25', }, { id: 216, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 3480, date: '2013/10/08', }, { id: 217, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 4830, date: '2013/10/26', }, { id: 218, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 4470, date: '2013/10/05', }, { id: 219, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3675, date: '2013/10/23', }, { id: 220, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4260, date: '2013/10/01', }, { id: 221, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4245, date: '2013/10/26', }, { id: 222, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1470, date: '2013/10/01', }, { id: 223, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1810, date: '2013/10/02', }, { id: 224, region: 'North America', country: 'USA', city: 'New York', amount: 600, date: '2013/10/23', }, { id: 225, region: 'North America', country: 'USA', city: 'New York', amount: 7500, date: '2013/11/03', }, { id: 226, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 4625, date: '2013/11/02', }, { id: 227, region: 'North America', country: 'USA', city: 'Denver', amount: 2625, date: '2013/11/09', }, { id: 228, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1440, date: '2013/11/15', }, { id: 229, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2420, date: '2013/11/15', }, { id: 230, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 4180, date: '2013/11/15', }, { id: 231, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 3720, date: '2013/11/25', }, { id: 232, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2730, date: '2013/11/08', }, { id: 233, region: 'Europe', country: 'GBR', city: 'London', amount: 3775, date: '2013/11/17', }, { id: 234, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 3525, date: '2013/11/15', }, { id: 235, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5320, date: '2013/11/08', }, { id: 236, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5340, date: '2013/11/13', }, { id: 237, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8850, date: '2013/11/01', }, { id: 238, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 7050, date: '2013/11/14', }, { id: 239, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4200, date: '2013/11/18', }, { id: 240, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4960, date: '2013/11/04', }, { id: 241, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2280, date: '2013/11/13', }, { id: 242, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 590, date: '2013/11/11', }, { id: 243, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 810, date: '2013/11/12', }, { id: 244, region: 'Europe', country: 'GBR', city: 'London', amount: 2625, date: '2013/11/07', }, { id: 245, region: 'North America', country: 'USA', city: 'New York', amount: 8280, date: '2013/12/01', }, { id: 246, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 5650, date: '2013/12/19', }, { id: 247, region: 'North America', country: 'USA', city: 'Denver', amount: 2760, date: '2013/12/14', }, { id: 248, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2670, date: '2013/12/03', }, { id: 249, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2520, date: '2013/12/20', }, { id: 250, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 4080, date: '2013/12/21', }, { id: 251, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4140, date: '2013/12/22', }, { id: 252, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 390, date: '2013/12/04', }, { id: 253, region: 'Europe', country: 'GBR', city: 'London', amount: 1400, date: '2013/12/19', }, { id: 254, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 7275, date: '2013/12/22', }, { id: 255, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 4100, date: '2013/12/20', }, { id: 256, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5520, date: '2013/12/25', }, { id: 257, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 9210, date: '2013/12/24', }, { id: 258, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 7290, date: '2013/12/05', }, { id: 259, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 625, date: '2013/12/22', }, { id: 260, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4460, date: '2013/12/12', }, { id: 261, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3825, date: '2013/12/13', }, { id: 262, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2850, date: '2013/12/17', }, { id: 263, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2780, date: '2013/12/07', }, { id: 264, region: 'North America', country: 'USA', city: 'New York', amount: 840, date: '2013/12/18', }, { id: 265, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2970, date: '2013/12/23', }, { id: 266, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 945, date: '2013/12/06', }, { id: 267, region: 'North America', country: 'USA', city: 'Denver', amount: 2625, date: '2013/12/04', }, { id: 268, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 390, date: '2013/12/01', }, { id: 269, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 2250, date: '2013/12/02', }, { id: 270, region: 'North America', country: 'USA', city: 'New York', amount: 7710, date: '2014/01/18', }, { id: 271, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 7975, date: '2014/01/10', }, { id: 272, region: 'North America', country: 'USA', city: 'Denver', amount: 3285, date: '2014/01/13', }, { id: 273, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2580, date: '2014/01/22', }, { id: 274, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2160, date: '2014/01/26', }, { id: 275, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 1100, date: '2014/01/25', }, { id: 276, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4425, date: '2014/01/21', }, { id: 277, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1360, date: '2014/01/22', }, { id: 278, region: 'Europe', country: 'GBR', city: 'London', amount: 3250, date: '2014/01/14', }, { id: 279, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5550, date: '2014/01/21', }, { id: 280, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2860, date: '2014/01/25', }, { id: 281, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5320, date: '2014/01/08', }, { id: 282, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 4050, date: '2014/01/14', }, { id: 283, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 3450, date: '2014/01/24', }, { id: 284, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 5425, date: '2014/01/11', }, { id: 285, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4860, date: '2014/01/12', }, { id: 286, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4695, date: '2014/01/16', }, { id: 287, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 610, date: '2014/01/05', }, { id: 288, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1580, date: '2014/01/15', }, { id: 289, region: 'North America', country: 'USA', city: 'New York', amount: 3780, date: '2014/02/18', }, { id: 290, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 5400, date: '2014/02/21', }, { id: 291, region: 'North America', country: 'USA', city: 'Denver', amount: 630, date: '2014/02/18', }, { id: 292, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3960, date: '2014/02/04', }, { id: 293, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2010, date: '2014/02/25', }, { id: 294, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 5000, date: '2014/02/01', }, { id: 295, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1995, date: '2014/02/20', }, { id: 296, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 860, date: '2014/02/12', }, { id: 297, region: 'Europe', country: 'GBR', city: 'London', amount: 2150, date: '2014/02/10', }, { id: 298, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 4050, date: '2014/02/06', }, { id: 299, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2960, date: '2014/02/18', }, { id: 300, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1780, date: '2014/02/26', }, { id: 301, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8700, date: '2014/02/03', }, { id: 302, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 3390, date: '2014/02/03', }, { id: 303, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4425, date: '2014/02/15', }, { id: 304, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 1180, date: '2014/02/23', }, { id: 305, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 360, date: '2014/02/08', }, { id: 306, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2310, date: '2014/02/13', }, { id: 307, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1770, date: '2014/02/20', }, { id: 308, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 3060, date: '2014/02/26', }, { id: 309, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1750, date: '2014/02/12', }, { id: 310, region: 'North America', country: 'USA', city: 'New York', amount: 2280, date: '2014/03/09', }, { id: 311, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 7600, date: '2014/03/25', }, { id: 312, region: 'North America', country: 'USA', city: 'Denver', amount: 1035, date: '2014/03/23', }, { id: 313, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1245, date: '2014/03/01', }, { id: 314, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2860, date: '2014/03/19', }, { id: 315, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 440, date: '2014/03/19', }, { id: 316, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4665, date: '2014/03/02', }, { id: 317, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2270, date: '2014/03/15', }, { id: 318, region: 'Europe', country: 'GBR', city: 'London', amount: 5000, date: '2014/03/09', }, { id: 319, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5100, date: '2014/03/23', }, { id: 320, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2120, date: '2014/03/11', }, { id: 321, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5140, date: '2014/03/05', }, { id: 322, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 6210, date: '2014/03/19', }, { id: 323, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 9510, date: '2014/03/19', }, { id: 324, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 7600, date: '2014/03/21', }, { id: 325, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 5420, date: '2014/03/15', }, { id: 326, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1980, date: '2014/03/05', }, { id: 327, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1820, date: '2014/03/07', }, { id: 328, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1670, date: '2014/03/21', }, { id: 329, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 4800, date: '2014/03/08', }, { id: 330, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2925, date: '2014/03/03', }, { id: 331, region: 'North America', country: 'USA', city: 'New York', amount: 2940, date: '2014/04/11', }, { id: 332, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 3525, date: '2014/04/13', }, { id: 333, region: 'North America', country: 'USA', city: 'Denver', amount: 2475, date: '2014/04/22', }, { id: 334, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3315, date: '2014/04/08', }, { id: 335, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 3140, date: '2014/04/07', }, { id: 336, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2520, date: '2014/04/01', }, { id: 337, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1200, date: '2014/04/10', }, { id: 338, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2060, date: '2014/04/21', }, { id: 339, region: 'Europe', country: 'GBR', city: 'London', amount: 7875, date: '2014/04/02', }, { id: 340, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 1450, date: '2014/04/07', }, { id: 341, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2640, date: '2014/04/22', }, { id: 342, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1960, date: '2014/04/16', }, { id: 343, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 2250, date: '2014/04/23', }, { id: 344, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 4500, date: '2014/04/05', }, { id: 345, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 5050, date: '2014/04/11', }, { id: 346, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 2940, date: '2014/04/02', }, { id: 347, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2880, date: '2014/04/14', }, { id: 348, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1050, date: '2014/04/19', }, { id: 349, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1850, date: '2014/04/02', }, { id: 350, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 3160, date: '2014/04/01', }, { id: 351, region: 'Europe', country: 'GBR', city: 'London', amount: 875, date: '2014/04/04', }, { id: 352, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 3200, date: '2014/04/08', }, { id: 353, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1380, date: '2014/04/21', }, { id: 354, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 3060, date: '2014/04/06', }, { id: 355, region: 'North America', country: 'USA', city: 'New York', amount: 6690, date: '2014/05/19', }, { id: 356, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 4525, date: '2014/05/15', }, { id: 357, region: 'North America', country: 'USA', city: 'Denver', amount: 4665, date: '2014/05/10', }, { id: 358, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 4530, date: '2014/05/18', }, { id: 359, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1330, date: '2014/05/08', }, { id: 360, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 1720, date: '2014/05/20', }, { id: 361, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 3750, date: '2014/05/16', }, { id: 362, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1290, date: '2014/05/10', }, { id: 363, region: 'Europe', country: 'GBR', city: 'London', amount: 4925, date: '2014/05/14', }, { id: 364, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 4300, date: '2014/05/22', }, { id: 365, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5740, date: '2014/05/08', }, { id: 366, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 3760, date: '2014/05/18', }, { id: 367, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 7920, date: '2014/05/22', }, { id: 368, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1440, date: '2014/05/21', }, { id: 369, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 5975, date: '2014/05/25', }, { id: 370, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4440, date: '2014/05/05', }, { id: 371, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2310, date: '2014/05/24', }, { id: 372, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2250, date: '2014/05/06', }, { id: 373, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2320, date: '2014/05/14', }, { id: 374, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8370, date: '2014/05/06', }, { id: 375, region: 'North America', country: 'USA', city: 'New York', amount: 5190, date: '2014/06/26', }, { id: 376, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 925, date: '2014/06/04', }, { id: 377, region: 'North America', country: 'USA', city: 'Denver', amount: 3240, date: '2014/06/20', }, { id: 378, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3180, date: '2014/06/23', }, { id: 379, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 780, date: '2014/06/13', }, { id: 380, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 4680, date: '2014/06/08', }, { id: 381, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 2475, date: '2014/06/25', }, { id: 382, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1920, date: '2014/06/20', }, { id: 383, region: 'Europe', country: 'GBR', city: 'London', amount: 7500, date: '2014/06/25', }, { id: 384, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5025, date: '2014/06/26', }, { id: 385, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2400, date: '2014/06/08', }, { id: 386, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1720, date: '2014/06/09', }, { id: 387, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 2880, date: '2014/06/21', }, { id: 388, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 5430, date: '2014/06/03', }, { id: 389, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4475, date: '2014/06/19', }, { id: 390, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 1420, date: '2014/06/20', }, { id: 391, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2670, date: '2014/06/25', }, { id: 392, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1930, date: '2014/06/02', }, { id: 393, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 580, date: '2014/06/25', }, { id: 394, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1620, date: '2014/06/12', }, { id: 395, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4530, date: '2014/06/02', }, { id: 396, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 6025, date: '2014/06/23', }, { id: 397, region: 'North America', country: 'USA', city: 'New York', amount: 3540, date: '2014/07/21', }, { id: 398, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 3000, date: '2014/07/01', }, { id: 399, region: 'North America', country: 'USA', city: 'Denver', amount: 3240, date: '2014/07/26', }, { id: 400, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2265, date: '2014/07/22', }, { id: 401, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 400, date: '2014/07/09', }, { id: 402, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 1460, date: '2014/07/08', }, { id: 403, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1620, date: '2014/07/18', }, { id: 404, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2400, date: '2014/07/25', }, { id: 405, region: 'Europe', country: 'GBR', city: 'London', amount: 5275, date: '2014/07/04', }, { id: 406, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 4475, date: '2014/07/03', }, { id: 407, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 3980, date: '2014/07/21', }, { id: 408, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 5240, date: '2014/07/11', }, { id: 409, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 1200, date: '2014/07/21', }, { id: 410, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 5700, date: '2014/07/18', }, { id: 411, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 5575, date: '2014/07/01', }, { id: 412, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 2160, date: '2014/07/02', }, { id: 413, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 960, date: '2014/07/09', }, { id: 414, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1280, date: '2014/07/04', }, { id: 415, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1040, date: '2014/07/02', }, { id: 416, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 5520, date: '2014/07/21', }, { id: 417, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1760, date: '2014/07/25', }, { id: 418, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 4080, date: '2014/07/07', }, { id: 419, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1000, date: '2014/07/21', }, { id: 420, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 3270, date: '2014/07/12', }, { id: 421, region: 'North America', country: 'USA', city: 'New York', amount: 1770, date: '2014/08/23', }, { id: 422, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 2700, date: '2014/08/09', }, { id: 423, region: 'North America', country: 'USA', city: 'Denver', amount: 2175, date: '2014/08/03', }, { id: 424, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3375, date: '2014/08/11', }, { id: 425, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2040, date: '2014/08/01', }, { id: 426, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 3000, date: '2014/08/21', }, { id: 427, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 3900, date: '2014/08/16', }, { id: 428, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1370, date: '2014/08/20', }, { id: 429, region: 'Europe', country: 'GBR', city: 'London', amount: 5700, date: '2014/08/01', }, { id: 430, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 1275, date: '2014/08/22', }, { id: 431, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 4060, date: '2014/08/13', }, { id: 432, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2320, date: '2014/08/18', }, { id: 433, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 7590, date: '2014/08/24', }, { id: 434, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 4560, date: '2014/08/20', }, { id: 435, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 7575, date: '2014/08/20', }, { id: 436, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 700, date: '2014/08/25', }, { id: 437, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2400, date: '2014/08/16', }, { id: 438, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1390, date: '2014/08/15', }, { id: 439, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1320, date: '2014/08/09', }, { id: 440, region: 'North America', country: 'USA', city: 'Denver', amount: 1680, date: '2014/08/09', }, { id: 441, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1500, date: '2014/08/11', }, { id: 442, region: 'North America', country: 'USA', city: 'New York', amount: 6150, date: '2014/09/21', }, { id: 443, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 3675, date: '2014/09/02', }, { id: 444, region: 'North America', country: 'USA', city: 'Denver', amount: 2250, date: '2014/09/05', }, { id: 445, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 3585, date: '2014/09/10', }, { id: 446, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1470, date: '2014/09/01', }, { id: 447, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2260, date: '2014/09/02', }, { id: 448, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 3765, date: '2014/09/03', }, { id: 449, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1640, date: '2014/09/04', }, { id: 450, region: 'Europe', country: 'GBR', city: 'London', amount: 4475, date: '2014/09/09', }, { id: 451, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5975, date: '2014/09/04', }, { id: 452, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 1100, date: '2014/09/16', }, { id: 453, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1320, date: '2014/09/18', }, { id: 454, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8610, date: '2014/09/19', }, { id: 455, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 9210, date: '2014/09/09', }, { id: 456, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3700, date: '2014/09/01', }, { id: 457, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 3620, date: '2014/09/19', }, { id: 458, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4275, date: '2014/09/01', }, { id: 459, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2370, date: '2014/09/03', }, { id: 460, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1870, date: '2014/09/10', }, { id: 461, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2070, date: '2014/09/25', }, { id: 462, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5025, date: '2014/09/19', }, { id: 463, region: 'North America', country: 'USA', city: 'New York', amount: 1080, date: '2014/10/15', }, { id: 464, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 1400, date: '2014/10/22', }, { id: 465, region: 'North America', country: 'USA', city: 'Denver', amount: 4260, date: '2014/10/01', }, { id: 466, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 2745, date: '2014/10/01', }, { id: 467, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2920, date: '2014/10/23', }, { id: 468, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 3520, date: '2014/10/11', }, { id: 469, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4035, date: '2014/10/20', }, { id: 470, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1730, date: '2014/10/05', }, { id: 471, region: 'Europe', country: 'GBR', city: 'London', amount: 975, date: '2014/10/06', }, { id: 472, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5700, date: '2014/10/06', }, { id: 473, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5080, date: '2014/10/18', }, { id: 474, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2940, date: '2014/10/24', }, { id: 475, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 2670, date: '2014/10/04', }, { id: 476, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1230, date: '2014/10/11', }, { id: 477, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 600, date: '2014/10/08', }, { id: 478, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 3700, date: '2014/10/08', }, { id: 479, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3375, date: '2014/10/11', }, { id: 480, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1500, date: '2014/10/17', }, { id: 481, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 370, date: '2014/10/05', }, { id: 482, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2340, date: '2014/10/16', }, { id: 483, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1080, date: '2014/10/08', }, { id: 484, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 2775, date: '2014/10/21', }, { id: 485, region: 'North America', country: 'USA', city: 'New York', amount: 4380, date: '2014/11/09', }, { id: 486, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 5500, date: '2014/11/21', }, { id: 487, region: 'North America', country: 'USA', city: 'Denver', amount: 1920, date: '2014/11/24', }, { id: 488, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 765, date: '2014/11/24', }, { id: 489, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 370, date: '2014/11/18', }, { id: 490, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 3500, date: '2014/11/25', }, { id: 491, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 825, date: '2014/11/09', }, { id: 492, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 490, date: '2014/11/23', }, { id: 493, region: 'Europe', country: 'GBR', city: 'London', amount: 7075, date: '2014/11/20', }, { id: 494, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 1350, date: '2014/11/25', }, { id: 495, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 1440, date: '2014/11/15', }, { id: 496, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2820, date: '2014/11/13', }, { id: 497, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 2280, date: '2014/11/12', }, { id: 498, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1110, date: '2014/11/03', }, { id: 499, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 1150, date: '2014/11/23', }, { id: 500, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 2040, date: '2014/11/20', }, { id: 501, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3090, date: '2014/11/24', }, { id: 502, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1940, date: '2014/11/24', }, { id: 503, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 3090, date: '2014/11/16', }, { id: 504, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4900, date: '2014/11/05', }, { id: 505, region: 'North America', country: 'USA', city: 'Denver', amount: 3465, date: '2014/11/07', }, { id: 506, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1110, date: '2014/11/20', }, { id: 507, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1650, date: '2014/11/02', }, { id: 508, region: 'North America', country: 'USA', city: 'New York', amount: 5280, date: '2014/12/04', }, { id: 509, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 3075, date: '2014/12/02', }, { id: 510, region: 'North America', country: 'USA', city: 'Denver', amount: 690, date: '2014/12/07', }, { id: 511, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1305, date: '2014/12/15', }, { id: 512, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1970, date: '2014/12/01', }, { id: 513, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 3760, date: '2014/12/18', }, { id: 514, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1920, date: '2014/12/22', }, { id: 515, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1360, date: '2014/12/12', }, { id: 516, region: 'Europe', country: 'GBR', city: 'London', amount: 2525, date: '2014/12/06', }, { id: 517, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 5575, date: '2014/12/20', }, { id: 518, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5560, date: '2014/12/10', }, { id: 519, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 4880, date: '2014/12/13', }, { id: 520, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8850, date: '2014/12/03', }, { id: 521, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 2820, date: '2014/12/10', }, { id: 522, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 4000, date: '2014/12/12', }, { id: 523, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 5820, date: '2014/12/02', }, { id: 524, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 1275, date: '2014/12/12', }, { id: 525, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1310, date: '2014/12/01', }, { id: 526, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2180, date: '2014/12/26', }, { id: 527, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4470, date: '2014/12/17', }, { id: 528, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2990, date: '2014/12/15', }, { id: 529, region: 'Europe', country: 'GBR', city: 'London', amount: 7650, date: '2014/12/18', }, { id: 530, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 780, date: '2014/12/02', }, { id: 531, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2970, date: '2014/12/13', }, { id: 532, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1155, date: '2014/12/05', }, { id: 533, region: 'North America', country: 'USA', city: 'New York', amount: 4470, date: '2015/01/10', }, { id: 534, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 1125, date: '2015/01/21', }, { id: 535, region: 'North America', country: 'USA', city: 'Denver', amount: 645, date: '2015/01/17', }, { id: 536, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 675, date: '2015/01/05', }, { id: 537, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2840, date: '2015/01/05', }, { id: 538, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2660, date: '2015/01/04', }, { id: 539, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4560, date: '2015/01/12', }, { id: 540, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2880, date: '2015/01/20', }, { id: 541, region: 'Europe', country: 'GBR', city: 'London', amount: 500, date: '2015/01/02', }, { id: 542, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 3925, date: '2015/01/07', }, { id: 543, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5660, date: '2015/01/18', }, { id: 544, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1460, date: '2015/01/22', }, { id: 545, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 5040, date: '2015/01/10', }, { id: 546, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 4830, date: '2015/01/13', }, { id: 547, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3075, date: '2015/01/22', }, { id: 548, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 3120, date: '2015/01/14', }, { id: 549, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3525, date: '2015/01/23', }, { id: 550, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1930, date: '2015/01/09', }, { id: 551, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2890, date: '2015/01/02', }, { id: 552, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 1545, date: '2015/01/17', }, { id: 553, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3630, date: '2015/01/20', }, { id: 554, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 4035, date: '2015/01/14', }, { id: 555, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 345, date: '2015/01/06', }, { id: 556, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 7000, date: '2015/01/07', }, { id: 557, region: 'North America', country: 'USA', city: 'New York', amount: 3060, date: '2015/02/13', }, { id: 558, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 6425, date: '2015/02/04', }, { id: 559, region: 'North America', country: 'USA', city: 'Denver', amount: 615, date: '2015/02/22', }, { id: 560, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1755, date: '2015/02/07', }, { id: 561, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1540, date: '2015/02/21', }, { id: 562, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 2820, date: '2015/02/24', }, { id: 563, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4305, date: '2015/02/10', }, { id: 564, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 1520, date: '2015/02/26', }, { id: 565, region: 'Europe', country: 'GBR', city: 'London', amount: 4725, date: '2015/02/18', }, { id: 566, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 6750, date: '2015/02/16', }, { id: 567, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 5540, date: '2015/02/07', }, { id: 568, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1880, date: '2015/02/24', }, { id: 569, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 6180, date: '2015/02/26', }, { id: 570, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 9300, date: '2015/02/03', }, { id: 571, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3700, date: '2015/02/26', }, { id: 572, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 740, date: '2015/02/01', }, { id: 573, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4755, date: '2015/02/23', }, { id: 574, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2570, date: '2015/02/20', }, { id: 575, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 2860, date: '2015/02/19', }, { id: 576, region: 'North America', country: 'USA', city: 'New York', amount: 5430, date: '2015/03/21', }, { id: 577, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 4525, date: '2015/03/21', }, { id: 578, region: 'North America', country: 'USA', city: 'Denver', amount: 1515, date: '2015/03/10', }, { id: 579, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 630, date: '2015/03/15', }, { id: 580, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1310, date: '2015/03/01', }, { id: 581, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 3200, date: '2015/03/17', }, { id: 582, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 3945, date: '2015/03/20', }, { id: 583, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2990, date: '2015/03/18', }, { id: 584, region: 'Europe', country: 'GBR', city: 'London', amount: 1125, date: '2015/03/22', }, { id: 585, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 7950, date: '2015/03/17', }, { id: 586, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 2960, date: '2015/03/25', }, { id: 587, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 6300, date: '2015/03/20', }, { id: 588, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 8670, date: '2015/03/07', }, { id: 589, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 3930, date: '2015/03/23', }, { id: 590, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 6975, date: '2015/03/02', }, { id: 591, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4220, date: '2015/03/17', }, { id: 592, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 3090, date: '2015/03/25', }, { id: 593, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2380, date: '2015/03/01', }, { id: 594, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1510, date: '2015/03/07', }, { id: 595, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 1020, date: '2015/03/19', }, { id: 596, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 6700, date: '2015/03/26', }, { id: 597, region: 'North America', country: 'USA', city: 'New York', amount: 4890, date: '2015/04/02', }, { id: 598, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 7225, date: '2015/04/13', }, { id: 599, region: 'North America', country: 'USA', city: 'Denver', amount: 795, date: '2015/04/07', }, { id: 600, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1785, date: '2015/04/03', }, { id: 601, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1850, date: '2015/04/03', }, { id: 602, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 5120, date: '2015/04/12', }, { id: 603, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 615, date: '2015/04/07', }, { id: 604, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2860, date: '2015/04/05', }, { id: 605, region: 'Europe', country: 'GBR', city: 'London', amount: 1525, date: '2015/04/24', }, { id: 606, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 7425, date: '2015/04/15', }, { id: 607, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 6080, date: '2015/04/13', }, { id: 608, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 2940, date: '2015/04/04', }, { id: 609, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 5580, date: '2015/04/16', }, { id: 610, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 9390, date: '2015/04/19', }, { id: 611, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3200, date: '2015/04/26', }, { id: 612, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4380, date: '2015/04/05', }, { id: 613, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 4725, date: '2015/04/06', }, { id: 614, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 930, date: '2015/04/25', }, { id: 615, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 1910, date: '2015/04/05', }, { id: 616, region: 'Europe', country: 'GBR', city: 'London', amount: 2725, date: '2015/04/16', }, { id: 617, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 4720, date: '2015/04/02', }, { id: 618, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 5190, date: '2015/04/10', }, { id: 619, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 2800, date: '2015/04/26', }, { id: 620, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 3780, date: '2015/04/24', }, { id: 621, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 2340, date: '2015/04/17', }, { id: 622, region: 'North America', country: 'USA', city: 'New York', amount: 4830, date: '2015/05/12', }, { id: 623, region: 'North America', country: 'USA', city: 'Los Angeles', amount: 2075, date: '2015/05/23', }, { id: 624, region: 'North America', country: 'USA', city: 'Denver', amount: 3420, date: '2015/05/21', }, { id: 625, region: 'North America', country: 'CAN', city: 'Vancouver', amount: 1440, date: '2015/05/10', }, { id: 626, region: 'North America', country: 'CAN', city: 'Edmonton', amount: 1680, date: '2015/05/15', }, { id: 627, region: 'South America', country: 'BRA', city: 'Rio de Janeiro', amount: 3440, date: '2015/05/16', }, { id: 628, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 4695, date: '2015/05/10', }, { id: 629, region: 'South America', country: 'PRY', city: 'Asuncion', amount: 2380, date: '2015/05/06', }, { id: 630, region: 'Europe', country: 'GBR', city: 'London', amount: 1875, date: '2015/05/25', }, { id: 631, region: 'Europe', country: 'DEU', city: 'Berlin', amount: 7550, date: '2015/05/14', }, { id: 632, region: 'Europe', country: 'ESP', city: 'Madrid', amount: 3340, date: '2015/05/01', }, { id: 633, region: 'Europe', country: 'RUS', city: 'Moscow', amount: 1400, date: '2015/05/22', }, { id: 634, region: 'Asia', country: 'CHN', city: 'Beijing', amount: 6060, date: '2015/05/22', }, { id: 635, region: 'Asia', country: 'JPN', city: 'Tokyo', amount: 8370, date: '2015/05/13', }, { id: 636, region: 'Asia', country: 'KOR', city: 'Seoul', amount: 3550, date: '2015/05/26', }, { id: 637, region: 'Australia', country: 'AUS', city: 'Sydney', amount: 2620, date: '2015/05/17', }, { id: 638, region: 'Australia', country: 'AUS', city: 'Melbourne', amount: 2400, date: '2015/05/21', }, { id: 639, region: 'Africa', country: 'ZAF', city: 'Pretoria', amount: 1740, date: '2015/05/21', }, { id: 640, region: 'Africa', country: 'EGY', city: 'Cairo', amount: 500, date: '2015/05/26', }, { id: 641, region: 'South America', country: 'ARG', city: 'Buenos Aires', amount: 780, date: '2015/05/07', }]; @Injectable() export class Service { getSales() { return sales; } }
// In real applications, you should not transpile code in the browser. // You can see how to create your own application with Angular and DevExtreme here: // https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/ window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, }, meta: { 'typescript': { 'exports': 'ts', }, 'devextreme/localization.js': { 'esModule': true, }, 'exceljs': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', '@angular/core': 'npm:@angular/core@12.2.16', '@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16', '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16', '@angular/forms': 'npm:@angular/forms@12.2.16', '@angular/common': 'npm:@angular/common@12.2.16', '@angular/compiler': 'npm:@angular/compiler@12.2.16', 'tslib': 'npm:tslib@2.3.1/tslib.js', 'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js', 'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js', 'exceljs': 'npm:exceljs@3.10.0/dist/exceljs.min.js', 'file-saver-es': 'npm:file-saver-es@2.0.5/dist/FileSaver.min.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.3/cjs', 'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.65', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.37', 'devextreme-angular': 'npm:devextreme-angular@22.2.3', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js', // Prettier 'prettier/standalone': 'npm:prettier@2.7.1/standalone.js', 'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js', }, packages: { 'app': { main: './app.component.ts', defaultExtension: 'ts', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, 'rxjs': { defaultExtension: 'js', }, 'rxjs/operators': { defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', 'npm:@angular/*/package.json', 'npm:@angular/common@12.2.16/*/package.json', 'npm:rxjs@7.5.3/package.json', 'npm:rxjs@7.5.3/operators/package.json', 'npm:devextreme-angular@22.2.3/*/package.json', 'npm:devextreme-angular@22.2.3/ui/*/package.json', 'npm:devextreme-angular@22.2.3/package.json', 'npm:devexpress-diagram@2.1.65/package.json', 'npm:devexpress-gantt@4.1.37/package.json', ], }; System.config(window.config);
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script> <script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script src="config.js"></script> <script> System.import("app").catch(console.error.bind(console)); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <demo-app>Loading...</demo-app> </div> </body> </html>